package com.dxhy.jxpt.baseService.config.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.config.sys.SysDictdetaEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 数据字典
 * 
 * @author jiaohongyang
 */
@Mapper
public interface SysDictdetaDao extends BaseMapper<SysDictdetaEntity> {
    /**
     * 根据id 字典信息
     * 
     * @param id
     *            部门id
     * @return 返回字典条数
     */
    Long queryDictDetaId(@Param("id") Long id);

    /**
     * 查询所有字典信息
     * 
     * @return 字典信息
     */
    List<SysDictdetaEntity> queryDictDeta();
}
