package com.dxhy.jxpt.baseService.config.service;

import com.dxhy.api.model.config.sys.SysEnterpriseConfigEntity;
import org.springframework.http.ResponseEntity;

import java.util.List;

/**
 * 乐企初始化service
 */
public interface LqInitService {


    /**
     * @Description 保存或更新乐企票种信息
     * @Return void
     * @Author wangruwei
     * @Date 2022/11/23 10:53
     *
     * @param lqEnterList
     * @param newPzList*/
    ResponseEntity<?> saveUpdateLqFpzlDm(List<SysEnterpriseConfigEntity> lqEnterList, List<String> newPzList);
    /**
    * @Description 保存或更新乐企特殊票种
    * @param lqEnterList
    * @param tspxList
    * @Return org.springframework.http.ResponseEntity<?>
    * @Author wangruwei
    * @Date 2023/12/1 14:27
    **/
    ResponseEntity<?> saveUpdateLqTspzXz(List<SysEnterpriseConfigEntity> lqEnterList, List<String> tspxList);
}
