package com.dxhy.jxpt.baseService.constants;

public class LqConfigurerInfo {
    /**
     * 数据类型  1-进项票 2-销项票
     */
    public static final String SJLX_JX = "1";
    public static final String SJLX_XX = "2";
    /**
     * 1-全量历史发票采集 2-本月发票数据采集 3-上月历史发票采集
     */
    public static final String RWLX_ALL = "1";
    public static final String RWLX_DY = "2";
    public static final String RWLX_LS = "3";
    /**
     * 定时任务执行状态0：未执行，1：执行中，2：执行完成,，3：采集成功，4：采集失败
     */
    public static final String RWZXZT_0 = "0";
    public static final String RWZXZT_1 = "1";
    public static final String RWZXZT_2 = "2";
    public static final String RWZXZT_3 = "3";
    public static final String RWZXZT_4 = "4";


    public static final String RETURNCODE_SUCCESS = "00";
    /**
     * 红蓝票标识 0 蓝/1 红
     */
    public static final String IS_BLUE = "0";
    public static final String IS_RED = "1";


    /**
     * 大企业
     **/
    public static final String JRFS_DQY = "0";
    /**
     * 乐企
     **/
    public static final String JRFS_LQ = "1";



    /**
     * 发票用途字段
     * 0-未使用
     * 1-已申请抵扣
     * 2-已申请退税
     * 3-已申请代办退税
     * 4-已勾选不抵扣（历史数据）
     * 5-已申请代办退税（历史数据）
     * 6-已申请不抵扣
     * 7-内销转出口
     * 8-出口转内销
     * 9-准予退税
     * 10-不予退税
     * 11-冬奥退税
     * 12-农产品加计扣除
     */
    public static final String INVOICE_UES_0 = "0";
    public static final String INVOICE_UES_1 = "1";
    public static final String INVOICE_UES_2 = "2";
    public static final String INVOICE_UES_3 = "3";
    public static final String INVOICE_UES_4 = "4";
    public static final String INVOICE_UES_5 = "5";
    public static final String INVOICE_UES_6 = "6";
    public static final String INVOICE_UES_7 = "7";
    public static final String INVOICE_UES_8 = "8";
    public static final String INVOICE_UES_9 = "9";
    public static final String INVOICE_UES_10 = "10";
    public static final String INVOICE_UES_11 = "11";
    public static final String INVOICE_UES_12 = "12";

    /**
     * 1-成功
     * 2-不存在符合条件的发票
     * 3-失败
     */
    public static final String CLJG_SUCCESS= "1";
    public static final String CLJG_SUCCESS1= "2";
    public static final String CLJG_ERROR= "3";

    /**
     * 批量发票下载申请反馈 返回码 00 成功
     */
    public static final String PLFPXZSQFK_RETURNCODE_00= "00";
    /**
     * 批量发票下载申请反馈 返回码 10  返回{"returnmsg":"申请正在处理中，请稍后再查询","returncode":"10"}
     */
    public static final String PLFPXZSQFK_RETURNCODE_10= "10";
    /**
     * 批量发票下载申请反馈 返回码 01 失败
     */
    public static final String PLFPXZSQFK_RETURNCODE_01= "01";

    /**
     * 统计状态
     * 0：未统计
     * 1：已统计
     * 2：已确认
     */
    public static final String TJZT_0= "0";
    public static final String TJZT_1= "1";
    public static final String TJZT_2= "2";


    /**
     * 是否认证 0-未认证 1-已认证抵扣 2-已认证不抵扣
     */
    public static final String FPZT_RZHYESORNO = "rzhYesorno";
    /**
     * 是否已勾选 0未勾选  1已勾选
     */
    public static final String FPZT_SFYGX = "sfygx";
    /**
     * 认证处理状态  0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败 6已撤销认证
     */
    public static final String FPZT_AUTHSTATUS = "authStatus";
    /**
     *认证类型(1-抵扣 2-退税 3-代办退税 4-不抵扣 5-撤销抵扣 6-撤销不抵扣）
     */
    public static final String FPZT_RZLX = "rzlx";
    /**
     *0-默认值 1-认证抵扣 2-认证不抵扣 3退税
     */
    public static final String FPZT_BDKSTATUS = "bdkStatus";
    /**
     *是否代办退税(0：否 1：是)
     */
    public static final String FPZT_SFDBTS = "sfdbts";



    /**
     * 发票类型，海关缴款书，初始化乐企界面用
     **/
    public static final String FPLX_CUSTOM = "17";

    /**
     * 增值税代扣代缴完税凭证
     **/
    public static final String ZZSDKDJWSPZ = "ZZSDKDJWSPZ";







}
