package com.dxhy.jxpt.baseService.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.db.TDxZzsDkdjWspzEntity;
import com.dxhy.pojo.obj.erp.ZzsDkdjWspzCjReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Allen
 * @version 1.0.0
 * @ClassName ZzsDkdjWspzDao.java
 * @createTime 2024年03月18日 20:27:00
 */
@Mapper
public interface ZzsDkdjWspzDao extends BaseMapper<TDxZzsDkdjWspzEntity> {
    /**
     * @description  根据条件查询总数量
     * @author  Allen
     * @date    2024/3/19 17:32
     * @return
    */
    long selectCountByParam(@Param("param") ZzsDkdjWspzCjReq req);
    /**
     * @description  根据条件查询
     * @author  Allen
     * @date    2024/3/19 17:32
     * @return
     */
    List<TDxZzsDkdjWspzEntity> selectByParam(@Param("param")ZzsDkdjWspzCjReq req);
}
