package com.dxhy.jxpt.baseService.ncpInvoice.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.db.TDxDkCountDetailEntity;
import com.dxhy.api.model.db.TDxDkCountEntity;
import com.dxhy.api.model.db.TDxStateRecordEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author dxhy
 */
@Mapper
public interface TdxDkCountDao extends BaseMapper<TDxDkCountEntity> {

    /**
     * 待填
     *
     * @param taxNo
     * @return
     */
    TDxDkCountEntity selectCountByTaxNo(@Param("taxno") String taxNo);

    /**
     * 待填
     *
     * @param dkCount
     */
    void updateDkCount(@Param("dkCount") TDxDkCountEntity dkCount);

    /**
     * 待填
     *
     * @param batchNo
     * @return
     */
    TDxStateRecordEntity selectStateRecord(@Param("batchNo") String batchNo);

    /**
     * 待填
     *
     * @param taxno
     * @param skssq
     * @return
     */
    TDxDkCountEntity selectStateResult(@Param("taxno") String taxno, @Param("skssq") String skssq);

    /**
     * 待填
     *
     * @param taxno
     * @param skssq
     * @return
     */
    List<TDxDkCountDetailEntity> selectCountDetail(@Param("taxno") String taxno, @Param("skssq") String skssq, @Param("type") String type);
}
