package com.dxhy.jxpt.baseService.ncpInvoice.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.api.model.ncp.ncpJjkcInvoice.NcpJjkcSqReq;
import com.dxhy.api.model.ncp.ncpJjkcInvoice.NcpJjkcSqReqItem;
import com.dxhy.api.model.ncp.ncpJjkcInvoice.TdxInvoiceNcpJjkcEntity;

import java.util.List;
import java.util.Map;


/**
 * @Description 农产品加计扣除功能业务
 * @Return
 * @Author wangruwei
 * @Date 2023/9/21 16:17
 **/
public interface NcpJjkcInvoiceService extends IService<TdxInvoiceNcpJjkcEntity> {

    /**
     * @Description 农产品加计扣除界面分页查询
     * @param pramsMap
     * @param curr
     * @param size
     * @Return java.lang.Object
     * @Author wangruwei
     * @Date 2023/10/17 15:44
     **/
    Object ncpJjkcInvoice(Map<String, Object> pramsMap, int curr, int size);
    /**
     * @Description 加计扣除申请
     * @param req
     * @Return void
     * @Author wangruwei
     * @Date 2023/10/18 17:09
     **/
    String ncpJjkcSq(NcpJjkcSqReq req, String userName);
    /**
     * @Description 农产品加计扣除结果查询
     * @Author wangruwei
     * @Date 2023年10月19日16:57:06
     **/
    Object ncpJjkcResultPage(Map<String, Object> pramsMap, int curr, int size);

    /**
     * @Description 农产品撤销加计
     * @Author wangruwei
     * @Date 2023年10月19日16:57:06
     **/
    String ncpJjkcCx(List<NcpJjkcSqReqItem> invoiceList, String userName);
}
