package com.dxhy.jxpt.baseService.rzInvoice.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.rz.rzInvoice.TDxRecordInvoicePreRzVo;
import com.dxhy.api.model.invoice.TDxRecordInvoice;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
* @Description 发票入账dao
* @Author wangruwei
* @Date 2023/9/21 16:20
**/
@Mapper
public interface RzRecordInvoiceDao extends BaseMapper<TDxRecordInvoice> {

    /**
    * @Description 入账结果查询
    * @Author wangruwei
    * @Date 2023/9/21 17:11
    **/
    List<TDxRecordInvoicePreRzVo> selectRzInvoiceResultList(Map<String, Object> queryWrapper);
    /**
    * @Description 待入账数据查询
    * @Author wangruwei
    * @Date 2023/9/21 17:33
    **/
    List<TDxRecordInvoicePreRzVo> selectPreRzInvoiceList(Map<String, Object> queryWrapper);
    /**
    * @Description 待入账合计金额
    * @Author wangruwei
    * @Date 2023/9/25 17:22
    **/
    List<TDxRecordInvoicePreRzVo> selectPreRzInvoiceHj(Map<String, Object> pramsMap);
    /**
     * @Description 入账结果合计
     * @Author wangruwei
     * @Date 2023/9/25 17:22
     **/
    List<TDxRecordInvoicePreRzVo> selectRzInvoiceResultHj(Map<String, Object> pramsMap);
}
