package com.dxhy.jxpt.baseService.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.api.model.db.TDxZzsDkdjWspzEntity;

import java.util.Map;

/**
 * 
 * @description 增值税代扣代缴完税凭证业务层
 * @author Allen 
 * @updateTime 2024/03/18 20:37
 * @param 
 */
public interface ZzsDkdjWspzService extends IService<TDxZzsDkdjWspzEntity> {

    /**
     * @description  根据完税凭证号查询
     * @author  Allen
     * @date    2024/3/20 17:28
     * @return
    */
    TDxZzsDkdjWspzEntity selectByWspzbh(String wspz);

    /**
     * @description  根据完税凭证号更新
     * @author  Allen
     * @date    2024/3/20 17:28
     * @return
     */
    void updateByWspzh(TDxZzsDkdjWspzEntity tdwz);
}
