package com.dxhy.jxpt.baseService.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dxhy.api.model.db.TDxZzsDkdjWspzEntity;
import com.dxhy.jxpt.baseService.dao.ZzsDkdjWspzDao;
import com.dxhy.jxpt.baseService.service.ZzsDkdjWspzService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * @author Allen
 * @version 1.0.0
 * @ClassName ZzsDkdjWspzServiceImpl.java
 * @createTime 2024年03月18日 20:25:00
 */
@Service
@Slf4j
public class ZzsDkdjWspzServiceImpl extends ServiceImpl<ZzsDkdjWspzDao, TDxZzsDkdjWspzEntity> implements ZzsDkdjWspzService {

    @Autowired
    private ZzsDkdjWspzDao zzsDkdjWspzDao;

    @Override
    public TDxZzsDkdjWspzEntity selectByWspzbh(String wspz) {
        return zzsDkdjWspzDao.selectOne(new QueryWrapper<TDxZzsDkdjWspzEntity>().eq("dkdjwspzh", wspz));
    }

    @Override
    public void updateByWspzh(TDxZzsDkdjWspzEntity tdwe) {
        zzsDkdjWspzDao.updateById(tdwe);
    }
}
