package com.dxhy.jxpt.baseService.sign.service.fpqs;


import com.alibaba.fastjson.JSONObject;
import com.dxhy.api.model.config.UserInfo;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
public interface FpqsService {

    //底账对比签收
    Object[] zpSaveInvoice(Map<String, String> pramsMap, UserInfo userInfo, String qsType, String invoiceType, JSONObject jsonObject);

    //查验签收
    Object[] dzpSaveInvoice(Map<String, String> pramsMap, UserInfo userInfo, String qsType, String invoiceType);

    JSONObject checkInvoice(Map<String, String> pramsMap, UserInfo userInfo,String qsType, String invoiceType);

    /**
     * @Description 底账没有，查验成功，用查验信息签收
     * @Author wangruwei
     * @Date 2023/4/19 19:37
     **/
    Object[]  qdSaveInvoice(Map<String, String> pramsMap, UserInfo userInfo,String qsType, String invoiceType,JSONObject jsonObject);

}
