package com.dxhy.jxpt.baseService.sign.service.singletable.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.dxhy.common.service.impl.MpBaseServiceImpl;
import com.dxhy.jxpt.baseService.sign.dao.SignCheckVehicleSaleDao;
import com.dxhy.api.model.sign.TDxCheckVehicleSale;
import com.dxhy.jxpt.baseService.sign.service.singletable.SignCheckVehicleSaleInvoiceService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 *
 *
 * 查验机动车明细业务处理实现类
 *
 * @author ld
 *
 *
 */
@Service("signCheckVehicleSaleInvoiceService")
@Slf4j

public class SignCheckVehicleSaleInvoiceServiceImpl extends
    MpBaseServiceImpl<SignCheckVehicleSaleDao, TDxCheckVehicleSale> implements SignCheckVehicleSaleInvoiceService {

    @Override
    public TDxCheckVehicleSale getCheckInvoiceByUuid(String uuid) {
        QueryWrapper<TDxCheckVehicleSale> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("uuid", uuid);
        return super.getOne(queryWrapper);
    }

}
