package com.dxhy.base.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.ncp.ncpInvoice.TDxRecordInvoiceNcpVo;
import com.dxhy.api.model.ncp.ncpJjkcInvoice.TDxRecordInvoiceNcpJjkcVo;
import com.dxhy.api.model.ncp.ncpJjkcInvoice.TdxInvoiceNcpJjkcEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
* @Description 农产品发票dao
* @Author wangruwei
* @Date 2023/9/21 16:20
**/
@Mapper
public interface BaseNcpJjkcRecordInvoiceDao extends BaseMapper<TdxInvoiceNcpJjkcEntity> {

    /**
     * @Description 农产品加计扣除列表合计
     * @Author wangruwei
     * @Date 2023/10/9 18:06
     **/
    List<TDxRecordInvoiceNcpVo> selectNcpJjkcInvoiceHj(Map<String, Object> pramsMap);

    /**
     * @Description 农产品加计扣除列表列表
     * @Author wangruwei
     * @Date 2023/10/9 18:06
     **/
    List<TDxRecordInvoiceNcpVo> selectNcpJjkcInvoiceList(Map<String, Object> pramsMap);
    /**
     * @Description 农产品加计扣除结果合计
     * @Author wangruwei
     * @Date 2023/10/9 18:06
     **/
    List<TDxRecordInvoiceNcpJjkcVo> selectNcpJjkcResultHj(Map<String, Object> pramsMap);
    /**
     * @Description 农产品加计扣除结果列表
     * @Author wangruwei
     * @Date 2023/10/9 18:06
     **/
    List<TDxRecordInvoiceNcpJjkcVo> selectNcpJjkcResultList(Map<String, Object> pramsMap);
}
