package com.dxhy.base.service.sqdktj;

import com.dxhy.base.entity.BaseTDxDkCount;
import com.dxhy.common.service.MpBaseService;

import java.util.Map;

/**
 * 撤销抵扣统计service
 *
 * @author kangzq
 * @date 2019年5月11日
 * @version 1.0
 */
public interface BaseCancelApplicationService extends MpBaseService<BaseTDxDkCount> {

    /**
     * 根据税号税款所属期撤销抵扣统计
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     *
     */
    String deleteByGfshAndSkssq(Map<String, Object> pramsMap);

    /**
     * 删除
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     *
     */
    String deleteQsByGfshAndSkssq(Map<String, Object> pramsMap);

    /**
     * @Description 异常发票，缴款书撤销接口
     * @param map
     * @Return java.lang.Object
     * @Author wangruwei
     * @Date 2024/8/23 15:18
     **/
    Object cxycFpJksAlert(Map<String, String> map);
    /**
     * @Description 异常发票，缴款书撤销接口
     * @param map
     * @Return java.lang.Object
     * @Author wangruwei
     * @Date 2024/8/23 15:18
     **/
    Object cxycFpJks(Map<String, Object> map);
}
