package com.dxhy.baseInterface.bigBTab.service;

import com.dxhy.api.model.bigB.enterpriseInterface.EnterpriseDqyChangeReq;
import com.dxhy.api.model.bigB.enterpriseInterface.EnterpriseChangeResp;
import com.dxhy.api.model.bigB.enterpriseInterface.EnterpriseLqSyChangeReq;
import com.dxhy.api.model.bigB.enterpriseInterface.EnterpriseLqZlChangeReq;

/**
* @Description 对大B接口业务层-企业信息变更
* @Return
* @Author wangruwei
* @Date 2023/7/10 11:03
**/
public interface BigBEnterpriseService {
    /**
     * @Description 企业信息—RPA企业使用-企业信息变化(增删改)
     * @param enterpriseChangeReq
     * @Return java.lang.Object
     * @Author wangruwei
     * @Date 2023/7/10 11:16
     **/
    EnterpriseChangeResp enterpriseDqyChange(EnterpriseDqyChangeReq enterpriseChangeReq);

    /**
     * @Description 直连单位-乐企（增删改）
     * @param enterpriseLqZlChangeReq
     * @Return java.lang.Object
     * @Author wangruwei
     * @Date 2023/7/10 11:16
     **/
    EnterpriseChangeResp enterpriseLqZlChange(EnterpriseLqZlChangeReq enterpriseLqZlChangeReq);

    /**
     * @Description 使用单位-乐企（增删改）
     * @param enterpriseLqSyChangeReq
     * @Return java.lang.Object
     * @Author wangruwei
     * @Date 2023/7/10 11:16
     **/
    EnterpriseChangeResp enterpriseLqSyChange(EnterpriseLqSyChangeReq enterpriseLqSyChangeReq);
}
