package com.dxhy.baseInterface.bigBTab.service;

import com.dxhy.api.model.bigB.tabInterface.RzTjTabReq;
import com.dxhy.api.model.bigB.tabInterface.RzTjTabResp;
import com.dxhy.api.model.bigB.tabInterface.YcFptjTabResp;

/**
* @Description 对大B接口业务层
* @Return
* @Author wangruwei
* @Date 2023/7/10 11:03
**/
public interface BigBTabService {

    /**
    * @Description 认证统计，进项税转出统计
    * @param rzTjTabReq
    * @Return com.dxhy.api.model.bigB.tabInterface.RzTjTabResp
    * @Author wangruwei
    * @Date 2023/7/10 11:26
    **/
    RzTjTabResp queryRzTabInfo(RzTjTabReq rzTjTabReq);
    /**
    * @Description 大B异常发票统计
    * @param rzTjTabReq
    * @Return com.dxhy.api.model.bigB.tabInterface.YcFptjTabResp
    * @Author wangruwei
    * @Date 2023/7/10 15:18
    **/
    YcFptjTabResp queryycTabInfo(RzTjTabReq rzTjTabReq);
}
