package com.dxhy.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.config.sys.SysGroupConfigEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;


@Mapper
public interface CoreSysGroupConfigDao extends BaseMapper<SysGroupConfigEntity> {
    /**
     * @Description 用税号获取aceid 和key
     * @Author wangruwei
     * @Date 2023/7/7 10:57
     **/
    Map<String, String> getApplyKeyByNsrsbh(@Param("nsrsbh") String nsrsbh);
}
