package com.dxhy.core.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.invoice.invoiceCheck.CoreTDxCheckInvoiceDetail;

/**
 * 查验明细dao
 *
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Mapper
public interface CoreTDxCheckListDao extends BaseMapper<CoreTDxCheckInvoiceDetail> {

    /**
     * 查验综合查询记录
     *
     * @param pramsMap
     * @return
     *
     */
    List<CoreTDxCheckInvoiceDetail> selectCheckList(Map<String, Object> pramsMap);

}
