package com.dxhy.core.job.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.job.entity.ScheduleJobEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 定时任务
 *
 * @author user
 */

@Mapper
public interface ScheduleJobDao extends BaseMapper<ScheduleJobEntity> {

    /**
     * 批量更新状态
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param status
     * @param jobId
     * @return int
     */
    int updateBatch(@Param("status") int status, @Param("jobId") Long jobId);
}
