package com.dxhy.core.job.entity;

import lombok.Data;

import java.util.Date;

/**
 *
 * @author 陈刚扬
 * @date 2020/10/30
 * @return
 */
@Data
public class InvoiceScanEntity {
    private static final long serialVersionUID = -6491365582285157460L;
    /**
     * 发票扫描id
     */
    private Long id;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String invoiceNo;
    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 购买方纳税人识别号
     */
    private String gfTaxNo;
    /**
     * 购方名称
     */
    private String gfName;
    /**
     * 销售方纳税人识别号
     */
    private String xfTaxNo;

    /**
     * 销售名称
     */
    private String xfName;
    /**
     * 开票日期
     */
    private String invoiceDate;
    /**
     * 发票金额合计
     */
    private String invoiceAmount;
    /**
     * 发票税额合计
     */
    private String taxAmount;
    /**
     * 发票价税合计
     */
    private String totalAmount;
    /**
     * 扫描路径
     */
    private String scanPath;
    /**
     * 签收状态
     */
    private String qsStatus;

    /**
     * 签收方式
     */
    private String qsType;
    /**
     * 操作员
     */
    private String userName;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 发票流水号
     */
    private String invoiceSerialNo;
    /**
     * uuId发票代码+发票号码
     */
    private String uuId;
    /**
     * 签收时间
     */
    private Date qsDate;

    /**
     * 是否需要核对底账
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Integer insideOutside;
    /**
     * 创建时间
     */
    private String createDate;
    /**
     * 扫描唯一识别码
     */
    private String scanId;

    /**
     * 校验码
     */
    private String checkCode;

    /**
     * 是否有效（1-有效 0-无效）
     */
    private String valid;

    /**
     * 扫描备注
     */
    private String notes;

    private String userAccount;

}
