package com.dxhy.core.job.entity;

import com.dxhy.core.job.pojo.BasePojo;
import lombok.Data;

/**
 * @description  增值税代扣代缴完税凭证采集请求数据
 * @author  Allen
 * @date    2023/8/17 16:50
*/
@Data
public class ZzsDkdjWspzcjReq extends BasePojo {

    private static final long serialVersionUID = 5186848186806062582L;
    /**
     * 批次号
     */
    private String batchNo;
    /**
     * 购方税号
     */
    private String buyerTaxNo;
    /**
     * 开始时间
     */
    private String acquisitionDateBegin;
    /**
     * 结束时间
     */
    private String acquisitionDateEnd;
    /**
     * 开始行数
     */
    private Integer startRow;
    /**
     * 发票类型
     */
    private String status;

}
