package com.dxhy.core.job.entity;

import com.dxhy.core.job.pojo.BasePojo;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @description  增值税代扣代缴完税凭证采集请求数据
 * @author  Allen
 * @date    2023/8/17 16:50
*/
@Data
public class ZzsDkdjWspzrzsqReq extends BasePojo {

    private static final long serialVersionUID = 5186848186806062582L;
    /**
     * 批次号
     */
    private String batchNo;
    /**
     * 购方税号
     */
    private String buyerTaxNo;
    /**
     * 总数量
     */
    private String contentRows;
    /**
     * 明细
     */
    private List<Map<String, String>> invoices;

}
