package com.dxhy.core.job.pojo;

import lombok.Data;

/**
 * 外层报文
 *
 * @author panyan
 */
@Data
public class ReturnStateInfo extends BasePojo {

    private static final long serialVersionUID = -1343008513507845953L;
    /**
     * 结果代码
     */
    private String returnCode;
    /**
     * 结果描述
     */
    private String returnMessage;

    /**
     * 大企业，入账接口返回信息
     **/
    private String data;


    @Override
    public String toString() {
        return "ReturnStateInfo [returnCode=" + returnCode + ", returnMessage=" + returnMessage + "]";
    }
}
