package com.dxhy.core.model;

import lombok.Data;

import java.io.Serializable;

/**
 * 发票认证税率查询的返回对象
 *
 * @author kangzq
 */
@Data
public class BbfpzhslcxRespVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 数电号码
     **/
    private String eleInvoiceNo;

    private String invoiceType;

    /**
     * 金额
     */
    private String invoiceAmount;

    /**
     * 税额
     */
    private String taxAmount;
    /**
     * 税率
     */
    private String sl;

    private String inAccountStatus;

    /**
     * 乐企特定要素类型代码：空：非特定要素
     * 01：成品油发票
     * 02：稀土发票
     * 03：建筑服务发票
     * 04：货物运输服务发票
     * 05：不动产销售服务发票
     * 06：不动产租赁服务发票
     * 07：代收车船税
     * 08：通行费
     * 09：旅客运输服务发票
     * 10：医疗服务（住院）发票
     * 11：医疗服务（门诊）发票
     * 12：自产农产品销售发票
     * 13：拖拉机和联合收割机发票
     * 14：机动车
     * 15：二手车
     * 16：农产品收购发票
     * 17：光伏收购发票
     * 18：卷烟发票
     * 19：出口发票
     * 20：农产品
     * 21：铁路电子客票
     * 22：航空运输电子客票行程单
     * 51：正常开具
     * 52：反向开具
     **/
    private String lqTdyslxDm;

    public BbfpzhslcxRespVO() {}

}
