package com.dxhy.core.model.erpBigb;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description 调大B基础信息配置返回的实体
 * @Author wangruwei
 * @Date 2024/12/5 17:20
 * @Version 1.0
 */
@Data
public class JxBaseInfoData implements Serializable {
    /**
     * 同步业务数据唯一标识
     **/
    private String id;
    /**
     * 项目编码
     **/
    private String projectCode;
    /**
     * RPA开票能力appKey
     **/
    private String appKey;
    /**
     * RPA开票能力appSecret
     **/
    private String appSecret;
    /**
     * 请求业务的url
     **/
    private String businessUrl;
    /**
     * 获取token的url
     **/
    private String tokenUrl;
    /**
     * 请求业务的entCode
     **/
    private String entCode;
    /**
     * RPA用票能力aceid
     **/
    private String aceId;
    /**
     * RPA用票能力aceKey
     **/
    private String aceKey;
    /**
     * 修改日期
     **/
    private String updateTime;
    /**
     * 创建日期
     **/
    private String createTime;
    /**
     * 创建人id
     **/
    private String createUser;
    /**
     * 修改人id
     **/
    private String updateUser;
}
