package com.dxhy.core.model.erpPool;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description 对外接口-缴款书状态
 * @Author wangruwei
 * @Date 2024/10/29 9:51
 * @Version 1.0
 */
@Data
public class ErpCustomsState implements Serializable {
    /**
     * 管理状态
     */
    private String glzt;
    /**
     * 认证状态
     */
    private String rzzt;
    /**
     * 认证所属期
     */
    private String rzssq;
    /**
     * 认证金额
     */
    private String dkTaxAmount;
    /**
     * 不抵扣原因
     */
    private String bdkyy;
    /**
     * 不抵扣类型
     */
    private String bdkMessage;
    /**
     * 是否重号锁定
     */
    private String sfchsd;
    /**
     * 入账状态
     */
    private String inAccountStatus;
    /**
     * 入账类型
     */
    private String inAccountType;
    /**
     * 入账所属期
     */
    private String inAccountSsq;
    /**
     * 消费税用途
     */
    private String xfsyt;
}
