package com.dxhy.core.model.erpPool;


import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName Jdc
 * @Description 对外接口-机动车
 * @Author wangruwei
 * @Date 2024/10/28 11:29
 * @Version 1.0
 */
@Data
public class ErpJdc implements Serializable {
    /**
     * 购方身份证号码、组织、机构代码
     */
    private String buyerIdNum;
    /**
     * 车辆类型
     */
    private String vehicleType;
    /**
     * 厂牌型号
     */
    private String factoryModel;
    /**
     * 产地
     */
    private String productPlace;
    /**
     * 合格证书
     */
    private String certificate;
    /**
     * 进口证明书号
     */
    private String certificateImport;
    /**
     * 商检单号
     */
    private String inspectionNum;
    /**
     * 发动机号
     */
    private String engineNo;
    /**
     * 车架号码、车辆识别码
     */
    private String vehicleNo;
    /**
     * 税率
     */
    private String taxRate;
    /**
     * 主管税务机关名称
     */
    private String taxBureauName;
    /**
     * 主管税务机关代码
     */
    private String taxBureauCode;
    /**
     * 完税凭证号码
     */
    private String taxRecords;
    /**
     * 限乘人数
     */
    private String limitPeople;
    /**
     * 吨位
     */
    private String tonnage;
    /**
     * 编码表版本号
     */
    private String bmbbbh;
    /**
     * 商品编码（税收分类编码）
     */
    private String spbm;
    /**
     * 自行编码
     */
    private String zxbm;
    /**
     * 优惠政策标识
     */
    private String yhzcbs;
    /**
     * 增值税特殊管理
     */
    private String zzstsgl;
    /**
     * 零税率标识
     */
    private String lslbs;
    /**
     * 使用税率标识
     */
    private String syslbs;
    /**
     * 3%税率开具理由
     */
    private String sslkjly;
    /**
     * 作废人
     */
    private String zfr;
    /**
     * 接收人名称
     */
    private String jsrmc;
    /**
     * 接收人代码
     */
    private String jsrdm;
    /**
     * 接收时间
     */
    private String jssj;
    /**
     * 接收税务机关代码
     */
    private String jsswjgdm;
    /**
     * 报送方式
     */
    private String bsfs;


}
