package com.dxhy.core.model.erpPool;

import lombok.Data;

import java.io.Serializable;

/**
 * @description  对外接收实体-农产品加计扣除发票明细
 * @author  Allen
 * @date    2024/12/11 14:26
*/
@Data
public class ErpNcpJjckInvoiceMx implements Serializable {
    /**
     * 发票代码
     **/
    private String invoiceCode;
    /**
     * 发票号码
     **/
    private String invoiceNo;
    /**
     * 数电号码
     **/
    private String eleInvoiceNo;
    /**
     * 开票日期
     **/
    private String invoiceDate;
    /**
     * 发票类型
     **/
    private String invoiceType;
    /**
     * 购方税号
     **/
    private String gfTaxNo;
    /**
     * 申请类型
     **/
    private String sqlx;
    /**
     * 加计所属期
     **/
    private String jjssq;
    /**
     * 本次加计扣除税额
     **/
    private String bcjjkcse;
    /**
     * 勾选时间
     **/
    private String gxsj;
}
