package com.dxhy.core.model.erpPool;


import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName ErpFile
 * @Description 对外接口-发票源文件推送接受实体
 * @Author wangruwei
 * @Date 2024/10/28 11:40
 * @Version 1.0
 */
@Data
public class ErpPushFile implements Serializable {
    /**
     * 数据来源：对应字典表PCSJLY（数据来源对应明细），目前支持的系统包括：进项：JXXT，销项：XXXT，报销SDK：BXSDK
     **/
    private String sjly;
    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * 发票号码
     */
    private String 	invoiceNo;
    /**
     * xml文件存储路径
     */
    private String 	xmlPath;
    /**
     * pdf文件存储路径
     */
    private String 	pdfPath;
    /**
     * ofd文件存储路径
     */
    private String 	ofdPath;
    /**
     * xml文件流
     */
    private String 	xmlStream;
    /**
     * pdf文件流
     */
    private String 	pdfStream;
    /**
     * ofd文件流
     */
    private String 	ofdStream;


}
