package com.dxhy.core.model.erpPool;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description 对外接口-税款所属期状态变更
 * @Author wangruwei
 * @Date 2024/10/29 9:55
 * @Version 1.0
 */
@Data
public class ErpPushSkssqStatus implements Serializable {
    /**
     * 纳税人名称
     */
    private String nsrmc;
    /**
     * 纳税人识别号
     */
    private String nsrsbh;
    /**
     * 税款所属期
     */
    private String skssq;
    /**
     * 确认状态
     */
    private String qrzt;
    /**
     * 抄报税状态
     */
    private String cbszt;
    /**
     * 申报状态
     */
    private String sbzt;
}
