package com.dxhy.core.model.erpPool;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName ErpReqDkdj
 * @Description 对外接口-代扣代缴
 * @Author wangruwei
 * @Date 2024/10/28 11:41
 * @Version 1.0
 */
@Data
public class ErpReqDkdj implements Serializable {
    /**
     * 代扣代缴完税凭证号
     */
    private String dkdjwspzh;
    /**
     * 发日期：YYYY-MM-DD HH:mm:ss
     */
    private String tfrq;
    /**
     * 扣缴义务人识别号
     */
    private String kjywrsbh;
    /**
     * 扣缴义务人名称
     */
    private String kjywrmc;
    /**
     * 被扣缴义务人识别号
     */
    private String bkjnsrsbh;
    /**
     * 被扣缴义务人名称
     */
    private String bkjnsrmc;
    /**
     * 计税金额
     */
    private String jsje;
    /**
     * 实缴金额
     */
    private String sjje;
    /**
     * 备用字段1
     */
    private String byzd1;
    /**
     * 备用字段2
     */
    private String byzd2;
    /**
     * 备用字段3
     */
    private String byzd3;
    /**
     * 备用字段4
     */
    private String byzd4;

    /**
     * 增值税代扣代缴完税凭证状态信息
     **/
    private ErpZzsdkdjwspzState zzsdkdjwspzState;

}
