package com.dxhy.core.model.erpPool;


import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName Xcdmx
 * @Description 对外接口-航空运输客票电子行程单信息-明细
 * @Author wangruwei
 * @Date 2024/10/28 11:31
 * @Version 1.0
 */
@Data
public class ErpXcdmx implements Serializable {
    /**
     * 始发站
     */
    private String sfz;
    /**
     * 目的站
     */
    private String mdz;
    /**
     * 航段
     */
    private String hd;
    /**
     * 承运人
     */
    private String cyr;
    /**
     * 航班号
     */
    private String hbh;
    /**
     * 座位等级
     */
    private String zwdj;
    /**
     * 承运日期YYYYMMDD
     */
    private String cyrq;
    /**
     * 起飞时间YYYY-MM-DD HH
     */
    private String qfsj;
    /**
     * 客票级别/客票类别
     */
    private String kpjbkplb;
    /**
     * 客票生效日期YYYYYMMDD
     */
    private String kpsxrq;
    /**
     * 有效截止日期YYYYYMMDD
     */
    private String yxjzrq;
    /**
     * 免费行李额
     */
    private String mfxle;


}
