package com.dxhy.core.model.rzInvoice;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName RzInvoiceReq
 * @Description 入账申请 请求实体
 * @Author wangruwei
 * @Date 2023/9/15 15:10
 * @Version 1.0
 */
@Data
public class RzInvoiceReq implements Serializable {

    /**
     * 32位代表本次请求的批次，下次查询发票认证状态时，也需要此值
     **/
    private String batchNo;
    /**
     * 购方税号
     **/
    private String buyerTaxNo;
    /**
     * 本次请求，共多少条
     **/
    private int contentRows;

    /**
     * 发票数据
     **/
    private List<RzInvoiceReqInvoice> invoices;



}
