package com.dxhy.core.model.rzInvoice;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName RzInvoiceReq
 * @Description 入账结果获取 返回实体
 * @Author wangruwei
 * @Date 2023/9/15 15:10
 * @Version 1.0
 */
@Data
public class RzInvoiceResultResp implements Serializable {

    /**
     * 认证批次号
     **/
    private String batchNo;
    /**
     * 发票条数
     **/
    private String contentRows;

    /**
     * 发票数据
     **/
    private List<RzInvoiceResultRespInvoice> invoices;

}
