package com.dxhy.core.service.singletable.impl;

import java.util.List;
import java.util.Map;

import com.dxhy.core.dao.CoreTDxInvoiceDao;
import org.springframework.stereotype.Service;

import com.dxhy.common.service.impl.MpBaseServiceImpl;
import com.dxhy.api.model.sign.TDxInvoice;
import com.dxhy.core.service.singletable.CoreInvoiceService;

import lombok.extern.slf4j.Slf4j;

/**
 * 发票扫描表业务处理实现类
 *
 * @author user
 */
@Service("coreInvoiceService")
@Slf4j

public class CoreInvoiceServiceImpl extends MpBaseServiceImpl<CoreTDxInvoiceDao, TDxInvoice> implements CoreInvoiceService {

    @Override
    public List<TDxInvoice> selectQsfpList(Map<String, Object> pramsMap) {
        return super.baseMapper.selectQsfpList(pramsMap);
    }

    @Override
    public List<TDxInvoice> selectQsfpListMryx(Map<String, Object> pramsMap) {
        return super.baseMapper.selectQsfpListMryx(pramsMap);
    }
}
