package com.dxhy.erp.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Allen
 * @version 1.0.0
 * @ClassName InvoiceRzInfo.java
 * @Description 全电发票xml文件下载申请信息
 * @createTime 2023年02月22日 20:02:00
 */
@Data
public class EleInvoiceXmlDownLoadInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 批次流水号
     */
    private  String pclsh;

    private List<InvoiceRzItemInfo> invoiceList;

}
