package com.dxhy.erp.entity;

import com.dxhy.api.model.db.TdxTdysMhxcdEntity;
import com.dxhy.api.model.db.TdxTdysMhxcdMxEntity;
import com.dxhy.api.model.db.TdxTdysTldzkpEntity;
import lombok.Data;

import java.util.List;

/**
 * @author dxhy
 */
@Data
public class InvoicePoolInfo extends BasePojo {
    private String invoiceCode;

    private String invoiceNo;

    /**
     * 数电号码
     **/
    private String eleInvoiceNo;

    private String currentTaxPeriod;

    private String legalizeEndDate;

    private String legalizeInvoiceDateBegin;

    private String legalizeInvoiceDateEnd;

    private String invoiceType;

    private String invoiceDate;

    private String buyerName;

    private String buyerTaxNo;

    private String buyerAddressPhone;

    private String buyerAccount;

    private String salerName;

    private String salerTaxNo;

    private String salerAddressPhone;

    private String salerAccount;

    private String invoiceAmount;

    private String taxAmount;

    private String totalAmount;

    private String remark;

    private String invoiceStatus;

    private String legalizeState;

    private String legalizeDate;
    private String legalizeBlongDate;

    private String sfdbts;
    private String rzlx;
    private String checkCode;
    private String txfbz;
    private String lslbz;
    private String xxly;
    private String yxse;
    private String yqkgxbz;
    private String glzt;
    /** 影像地址 */
    private String imageUrl;
    private List<InvoicePoolDetailInfo> detailList;

    //161航空客运票-主信息扩展
    private TdxTdysMhxcdEntity mhxcd;
    //161航空客运票-明细扩展
    private List<TdxTdysMhxcdMxEntity> mhxcdMx;

    //283数电票-铁路明细扩展-只会有一条
    private TdxTdysTldzkpEntity tldzkp;

    /**
     * 特定要素代码
     **/
    private String tdyslxDm;;

    /**
     * 特定要素主信息
     **/
    private String tdysZxx;

    /**
     * 特定要素明细信息
     **/
    private String tdysMxxx;


}
