package com.dxhy.erp.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author Allen
 * @version 1.0.0
 * @ClassName TdxLqRzBatchEntity.java
 * @Description 乐企入账对外接口批次类
 * @createTime 2023年02月22日 16:51:00
 */
@Data
@TableName("t_dx_lq_rz_batch")
public class TdxLqRzBatch implements Serializable {

    private static final long serialVersionUID = 5454155825314635342L;

    /**
     * id
     */
    @TableId
    private Long id;

    /**
     * 接口入账批次流水号
     */
    private String pclsh;

    /**
     * 类型：0发票入账，1缴款书入账
     */
    private String lx;

    /**
     * lx为0时为发票代码+发票号码，lx为1时为缴款书号码
     */
    private String uuid;

    private Date createTime;
}
