package com.dxhy.erp.model;

import lombok.Data;

import java.util.List;

/**
 * @author dxhy
 */
@Data
public class AuthDateReq {
    private Integer contentRows;
    private String batchNo;
    /**
     * 认证类型
     * 1-抵扣 2-退税4-不抵扣5-撤销抵扣6撤销不抵扣
     **/
    private String applyRzlx;
    /**
     * 1-用于非应税项目2-用于免税项目3-用于集体福利或者个人消费4-遭受非正常损失5-其他
     */
    private String bdklx;
    /**
     * bdklx是5时，保存具体原因
     */
    private String bdkyy;
    private String batchState;
    private String buyerTaxNo;
    private List<?> invoices;
}
