package com.dxhy.erp.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @author dxhy
 */
@Data
@TableName("t_dx_record_invoice_detail_sales")
public class InvoiceDetailInfo {

    /**
     * 主键
     */

    private Long id;

    /**
     * 唯一标识
     */
    private String uuid;

    /**
     * 发票代码
     */

    private String invoiceCode;

    /**
     * 发票号码
     */

    private String invoiceNo;

    private String detailNo;
    private String goodsName;
    private String taxCodeName;
    private String specificationModel;
    private String model;

    private String unit;

    private String num;

    private String unitPrice;

    private String cph;
    private String lx;
    private String txrqq;
    private String txrqz;

    private String detailAmount;

    private String taxRate;

    private String taxAmount;

    private String goodsNum;
    /**
     *零税率标识：
     * 当查询发票类型为04、10 时返回空：代表无
     * 0：出口退税
     * 1：出口免税和其他免税政策
     * 2：不征税措施
     * 3：普通零税率
     **/
    private String lslbs;
    /**
     *优惠政策标识
     **/
    private String yhzcbs;
    /**
     * 增值税特殊管理
     **/
    private String zzstsgl;
}
