package com.dxhy.erp.service;

import com.dxhy.common.util.pojo.Authorize;
import com.dxhy.common.util.pojo.GlobalInfo;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
* @Description 大企业退税确认业务 对外接口
* @Author wangruwei
* @Date 2024/3/20 14:19
**/
public interface TsApplyService {

    /**
    * @Description 退税确认申请
    * @Author wangruwei
    * @Date 2024/3/20 14:23
    **/
    String refundApply(GlobalInfo globalInfo, Map<String, String> requestParam, HttpServletRequest request, HttpServletResponse response, Authorize authorize);

    /**
     * @Description 退税确认结果获取--只支持大企业
     * @Author wangruwei
     * @Date 2024/3/20 14:23
     **/
    String refundApplyResult(GlobalInfo globalInfo, Map<String, String> requestParam, HttpServletRequest request, HttpServletResponse response, Authorize authorize);
}
