package com.dxhy.domestic.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author dxhy
 */
@Data
@ApiModel("导入认证excel解析后实体")
public class AuthenticationImportDTO {

    @ApiModelProperty("发票代码")
    private String invoiceCode;

    @ApiModelProperty("发票号码")
    private String invoiceNo;


    @ApiModelProperty("开票日期")
    private String invoiceDate;

    @ApiModelProperty("发票税额")
    private String taxAmount;

    //导入没有，导入完成后，页面展示用
    @ApiModelProperty("数电号码")
    private String eleInvoiceNo;

}
