package com.dxhy.api.model.bigB;

import lombok.Data;

/**
 * @description  大B组织信息
 * @author  Allen
 * @date    2023/6/28 11:04
 */
@Data
public class BigBOrgInfoEntity {
    /**
     * 部门id
     */
    private String deptId;
    /**
     * 上级部门id
     */
    private String parentId;
    /**
     * 组织名称
     */
    private String name;
    /**
     * 税号
     */
    private String taxpayerCode;

    /**
     * 组织类型 1.总公司 2.子公司 3.分支机构 4.部门5虚拟机构
     */
    private String deptType;
    /**
     * 组织简称
     */
    private String deptSname;
    /**
     * 组织编码
     */
    private String enterpriseNumbers;
}
