package com.dxhy.api.model.bigB;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @description  大B用户信息
 * @author  Allen
 * @date    2023/6/28 11:04
*/
@Data
public class BigBUserInfoEntity implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    public String userId;
    /**
     * 登录名
     */
    public String name;
    /**
     * 用户名
     */
    public String username;
    /**
     * 密码
     */
    public String password;

    /**
     * 邮箱
     */
    public String email;

    /**
     * 电话
     */
    public String mobile;

    /**
     * 集团编码
     */
    private String companyCode;

    /**
     * 集团名称
     */
    private String companyName;

    /**
     * 业务单元
     */
    private List<BigBOrgInfoEntity> deptList;

}
