package com.dxhy.api.model.bigB.enterpriseInterface;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description 大B企业信息修改，请求参数实体
 * @Author wangruwei
 * @Date 2024/12/4 10:10
 * @Version 1.0
 */
@Data
public class EnterpriseDqyChangeReq implements Serializable {
    /**
     * 唯一标识id
     **/
    private String id;
    /**
     *纳税人识别号
     **/
    private String nsrsbh;
    /**
     *纳税人名称
     **/
    private String nsrmc;
    /**
     *地区编码
     **/
    private String areaCode;
    /**
     *0：待处理，1:处理中 2:已下单 ，4：已驳回
     **/
    private String status;
    /**
     *描述
     **/
    private String describe;
    /**
     *地区名称
     **/
    private String areaName;
    /**
     *接入方式 0：开票  1用票
     **/
    private String jrfs;
    /**
     *录入时间
     **/
    private Date lrrq;
    /**
     *更新时间
     **/
    private Date gxsj;
    /**
     *1增加2修改3删除
     **/
    private String type;
}
