package com.dxhy.api.model.bigB.tabInterface;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName RzTjTabRespData
 * @Description TODO
 * @Author wangruwei
 * @Date 2023/7/10 11:23
 * @Version 1.0
 */
@Data
public class RzTjTabRespData implements Serializable {
    /**
     * 开始时间 2023-05-01 00:00:00
     **/
    private String startDate;
    /**
     * 结束时间 2023-05-31 00:00:00
     **/
    private String endDate;

    /**
     * 月份
     **/
    private String monthStr;
    /**
     * 系统标识 1销项2进项3全税 4风控
     **/
    private String systemType;
    /**
     * 本月已认证抵扣税额
     **/
    private String byyrzdkse;

    /**
     * 本月已认证抵扣数量
     **/
    private String byyrzdksl;

    /**
     * 本月已认证不抵扣税额
     **/
    private String byyrzbdkse;
    /**
     * 本月进项税额转出额
     **/
    private String byjxsezce;
    /**
     * 异常发票数量
     **/
    private String byycfpsl;
}
