package com.dxhy.api.model.config;

import lombok.Data;

/**
 * @description  组织编码
 * @author  Allen
 * @date    2023/6/28 11:04
 */
@Data
public class TaxOrgCode {
    /**
     * 税号
     */
    private String taxno;
    /**
     * 名称
     */
    private String taxname;
    /**
     * 集团编码
     */
    private String company;
    /**
     * 机构编码
     */
    private String orgCode;

    /**
     * 地区编码
     */
    private String areaCode;
    /**
     * 是否需要确认密码
     */
    private String isPassword;
    /**
     * 确认密码
     */
    private String password;
}
