package com.dxhy.api.model.config.sys;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("sys_group_config")
public class SysGroupConfigEntity implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;

	//columns START
    /**
     * id  
     */ 	
	private Long id;
    /**
     * 集团编码  
     */ 	
	private String company;
    /**
     * 集团名称
     */
	private String companyName;
    /**
     * 是否启用业务单元：0不启用，1启用  
     */ 	
	private String businessEnable;
    /**
     * 业务单元取值：0部门，1虚拟组织  
     */ 	
	private String businessType;
    /**
     * ocr识别渠道：0本地，1云端  
     */ 	
	private String ocrType;
    /**
     * 初次采集起始时间  
     */ 	
	private Date firstCollectDate;
    /**
     * 签收认证状态 0 -- 不签收直接认证  1--签收后才可以认证  
     */ 	
	private String qsStatus;
    /**
     * 是否采集全票面  0-- 不采集全票面  1--采集全票面  
     */ 	
	private String isCollext;
	/**
	 * 定时任务是否下载数电源文件  0-- 不下载  1--下载
	 **/
	private String sfxzywj;
    /**
     * 大企业平台鉴权id  
     */ 	
	private String aceId;
    /**
     * 大企业平台鉴权key  
     */ 	
	private String aceKey;
    /**
     * 数据库名称  
     */ 	
	private String dbName;
	/**
	 * 数据平台鉴权id
	 */
	private String dataAceId;
	/**
	 * 数据平台鉴权key
	 */
	private String dataAceKey;
    /**
     * 票种选择，多票种用“,”（逗号）隔开  
     */ 	
	private String pzxz;
    /**
     * 操作人名称（username）  
     */ 	
	private String czrMc;
    /**
     * 操作人id（userid）  
     */ 	
	private String czrId;
    /**
     * 创建时间  
     */ 	
	private Date createTime;
    /**
     * 修改时间  
     */ 	
	private Date updateTime;
	//columns END


}

