package com.dxhy.api.model.cpy.cpyInvoice;

import com.dxhy.api.model.db.TdxRecordInvoiceEntity;
import lombok.Data;

/**
 * @ClassName TDxRecordInvoiceCpyVo
 * @Description 成品油勾选页面展示实体
 * @Author wangruwei
 * @Date 2023/9/21 17:39
 * @Version 1.0
 */
@Data
public class TDxRecordInvoiceCpyVo extends TdxRecordInvoiceEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     **/
    private String xh;
    /**
     * 返回前端是否可以勾选
     */
    private Boolean select;

    /**
     * 不允许勾选的提示文
     **/
    private String notAllowCheckStr;



    /**
     * 合计数量
     **/
    private String hjsl;
    /**
     * 合计金额
     */
    private String hjje;
    /**
     * 合计税额
     */
    private String hjse;

    /**
     * 金额
     */
    private String invoiceAmountStr;
    /**
     * 税额
     */
    private String taxAmountStr;

    /**
     * 开票日期
     **/
    private String kprq;


    /**
     * 购方税号
     **/
    private String gfsh;
    /**
     * 购方名称
     **/
    private String gfmc;
    /**
     * 销方税号
     **/
    private String xfsh;
    /**
     * 销方名称
     **/
    private String xfmc;


    //------------成品油申请字段--------------
    /**
     * 用途处理状态
     **/
    private String gxclzt;
    /**
     *用途处理状态说明
     **/
    private String gxsbyy;
    /**
     *勾选时间
     **/
    private String czsj;
    /**
     *勾选人id
     **/
    private String czr;
    /**
     * 勾选人显示名称
     **/
    private String czrName;

}
