package com.dxhy.api.model.db;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("t_dx_customs_cpy_gx")
public class TdxCustomsCpyGxEntity implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;
	
	

	//columns START
    /**
     * id  
     */ 	
	private Long id;
    /**
     * 缴款单位  
     */ 	
	private String gfName;
    /**
     * 购方税号  
     */ 	
	private String gfTaxNo;
    /**
     * 缴款书号码  
     */ 	
	private String customsCode;
    /**
     * 填发日期  
     */ 	
	private Date fillInDate;
    /**
     * 税款所属期  
     */ 	
	private String skssq;
    /**
     * 税款金额  
     */ 	
	private String taxAmount;
    /**
     * 勾选处理状态：0未申请勾选，1申请勾选，2发送请求，3勾选失败，4勾选成功  
     */ 	
	private String gxclzt;
    /**
     * 成品油勾选失败原因  
     */ 	
	private String gxsbyy;
    /**
     * 操作人id  
     */ 	
	private String czr;
    /**
     * 操作人显示名  
     */ 	
	private String czrName;
    /**
     * 操作时间：对应页面操作时间  
     */ 	
	private Date czsj;
    /**
     * 勾选时间，局端返回  
     */ 	
	private Date gxsj;
    /**
     * 更新时间  
     */ 	
	private Date updateTime;
    /**
     * createTime  
     */ 	
	private Date createTime;
	//columns END


}

