package com.dxhy.api.model.db;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("t_dx_invoice_cpy_gx")
public class TdxInvoiceCpyGxEntity implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;
	
	//columns START
    /**
     * id  
     */ 	
	private Long id;
    /**
     * 发票类型 01---增值税专用发票 08---增值税电子专用发票 31---数电票（增值税专用发票） 185---数电纸票（增值税专用发票）  
     */ 	
	private String invoiceType;
    /**
     * 发票代码  
     */ 	
	private String invoiceCode;
    /**
     * 发票号码  
     */ 	
	private String invoiceNo;
    /**
     * 全电发票号码  
     */ 	
	private String eleInvoiceNo;
    /**
     * 发票代码+发票号码    唯一索引 防重复  
     */ 	
	private String uuid;
    /**
     * 开票日期  
     */ 	
	private Date invoiceDate;
    /**
     * 购方税号  
     */ 	
	private String gfTaxNo;
    /**
     * 购方名称  
     */ 	
	private String gfName;
    /**
     * 销方税号  
     */ 	
	private String xfTaxNo;
    /**
     * 销方名称  
     */ 	
	private String xfName;
    /**
     * 税款所属期  
     */ 	
	private String skssq;
    /**
     * 金额  
     */ 	
	private Double invoiceAmount;
    /**
     * 税额  
     */ 	
	private Double taxAmount;
    /**
     * 价格合计  
     */ 	
	private Double totalAmount;
    /**
     * 勾选处理状态：0未勾选，1申请勾选，2发送勾选请求，3勾选失败，4勾选成功  
     */ 	
	private String gxclzt;
    /**
     * 成品油勾选失败原因  
     */ 	
	private String gxsbyy;
    /**
     * 操作人id
     */ 	
	private String czr;
    /**
     * 操作人显示名
     */
	private String czrName;
    /**
     * 操作时间，对应页面勾选操作时间  
     */ 	
	private Date czsj;
    /**
     * 勾选时间，局端返回  
     */ 	
	private Date gxsj;
    /**
     * 更新时间  
     */ 	
	private Date updateTime;
    /**
     * createTime  
     */ 	
	private Date createTime;
	//columns END


}

