package com.dxhy.api.model.db;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.io.Serializable;

@Data
@TableName("t_dx_record_invoice_detail_sales")
public class TdxRecordInvoiceDetailSalesEntity implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;
	
	//columns START
    /**
     * id  
     */ 	
	private Long id;
    /**
     * 唯一标识(发票代码+发票号码)  
     */ 	
	private String uuid;
    /**
     * 发票代码  
     */ 	
	private String invoiceCode;
    /**
     * 发票号码  
     */ 	
	private String invoiceNo;
    /**
     * 明细序号  
     */ 	
	private String detailNo;
    /**
     * 货物或应税劳务名称  
     */ 	
	private String goodsName;
    /**
     * 规格型号  
     */ 	
	private String model;
    /**
     * 单位  
     */ 	
	private String unit;
    /**
     * 数量  
     */ 	
	private String num;
    /**
     * 单价  
     */ 	
	private String unitPrice;
    /**
     * 金额  
     */ 	
	private String detailAmount;
    /**
     * 税率  
     */ 	
	private String taxRate;
    /**
     * 税额  
     */ 	
	private String taxAmount;
    /**
     * 零税率标识： 当查询发票类型为04、10 时返回空：代表无 0：出口退税 1：出口免税和其他免税政策 2：不征税措施 3：普通零税率  
     */ 	
	private String lslbs;
    /**
     * 优惠政策标识  
     */ 	
	private String yhzcbs;
    /**
     * 增值税特殊管理  
     */ 	
	private String zzstsgl;
    /**
     * 车牌号  
     */ 	
	private String cph;
    /**
     * 类型  
     */ 	
	private String lx;
    /**
     * 通行日期起  
     */ 	
	private String txrqq;
    /**
     * 通行日期止  
     */ 	
	private String txrqz;
    /**
     * 商品编码  
     */ 	
	private String goodsNum;
    /**
     * 是否折扣行  
     */ 	
	private String isDiscount;
    /**
     * 商品服务简称  
     */ 	
	private String spfwjc;
    /**
     * 商品和服务税收分类合并编码  
     */ 	
	private String sphfwssflhbbm;
    /**
     * 扣除额  
     */ 	
	private String kce;
	//columns END

}

