package com.dxhy.api.model.db;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("t_dx_tdys_mhxcd")
public class TdxTdysMhxcdEntity implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;

	//columns START
    /**
     * id  
     */ 	
	private Long id;
    /**
     * 发票uuid  
     */ 	
	private String uuid;
    /**
     * 购买方经办人  
     */ 	
	private String gmfjbr;
	/**
	 * 票价
	 **/
	private String ticketPrice;
	/**
	 *燃油附加费
	 **/
	private String fuelSurcharge;
	/**
	 *增值税税额
	 **/
	private String valueAddedTaxAmount;
	/**
	 *增值税税率
	 **/
	private String vatRate;
	/**
	 *民航发展基金
	 **/
	private String aviationDevelopmentFund;
	/**
	 *其他税费
	 **/
	private String otherTaxes;
    /**
     * 经办人身份证号  
     */ 	
	private String jbrsfzjhm;
    /**
     * 经办人联系电话  
     */ 	
	private String jbrlxdh;
    /**
     * 开票人实人认证地址信息  
     */ 	
	private String kprsrrzdzxx;
    /**
     * 手机开票地址信息  
     */ 	
	private String sjkpdzxx;
    /**
     * 合同编号  
     */ 	
	private String htbh;
    /**
     * 纳税义务发生时间  
     */ 	
	private String nsywfssj;
    /**
     * 经办人身份证件种类  
     */ 	
	private String jbrsfzjzlDm;
    /**
     * 商品数量  
     */ 	
	private String spsl;
    /**
     * 是否为纸质发票  
     */ 	
	private String sfwzzfp;
    /**
     * 发票号码  
     */ 	
	private String fphm;
    /**
     * 国内国际标识  
     */ 	
	private String gngjbz;
    /**
     * GP 单号  
     */ 	
	private String gpdh;
    /**
     * 是否蓝字发票标 志Y：是 N：否  
     */ 	
	private String sflzfpbz;
    /**
     * 姓名  
     */ 	
	private String xm;
    /**
     * 证件号码  
     */ 	
	private String zjhm;
    /**
     * 签注  
     */ 	
	private String qz;
    /**
     * 电子客票号码  
     */ 	
	private String dzkphm;
    /**
     * 验证码  
     */ 	
	private String yzm;
    /**
     * 提示信息  
     */ 	
	private String tsxx;
    /**
     * 保险费  
     */ 	
	private String bxf;
    /**
     * 销售网点代号  
     */ 	
	private String xswddh;
    /**
     * 填开单位  
     */ 	
	private String tkdw;
    /**
     * 开票日期  
     */ 	
	private String kprq;
    /**
     * 销售方名称  
     */ 	
	private String xsfmc;
    /**
     * 销售方纳税人识别号  
     */ 	
	private String xsfnsrsbh;
    /**
     * 购买方名称  
     */ 	
	private String gmfmc;
    /**
     * 购买方纳税人识别号  
     */ 	
	private String gmfnsrsbh;
    /**
     * createTime  
     */ 	
	private Date createTime;
	//columns END


}

