package com.dxhy.api.model.db;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("t_dx_tdys_mhxcd_mx")
public class TdxTdysMhxcdMxEntity implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;

	//columns START
    /**
     * id  
     */ 	
	private Long id;
    /**
     * 特定要素id，对应uuid  
     */ 	
	private String tdysId;
    /**
     * 始发站  
     */ 	
	private String sfz;
    /**
     * 目的站  
     */ 	
	private String mdz;
    /**
     * 航段  
     */ 	
	private String hd;
    /**
     * 承运人  
     */ 	
	private String cyr;
    /**
     * 航班号  
     */ 	
	private String hbh;
    /**
     * 座位等级  
     */ 	
	private String zwdj;
    /**
     * 承运日期YYYYMMDD  
     */ 	
	private String cyrq;
    /**
     * 起飞时间YYYY-MM-DD HH:MI:SS  
     */ 	
	private String qfsj;
    /**
     * 客票级别/客票类 别  
     */ 	
	private String kpjbkplb;
    /**
     * 客票生效日期YYYYYMMDD  
     */ 	
	private String kpsxrq;
    /**
     * 有效截止日期YYYYYMMDD  
     */ 	
	private String yxjzrq;
    /**
     * 免费行李额  
     */ 	
	private String mfxle;
    /**
     * createTime  
     */ 	
	private Date createTime;
	//columns END

}

