package com.dxhy.api.model.lq;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("t_dx_lq_rz_apply_log")
public class TdxLqRzApplyLog implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;
	
	

	//columns START
    /**
     * id  
     */
	@TableId
	private Long id;
    /**
     * 纳税人识别号  
     */ 	
	private String nsrsbh;
    /**
     * 批次流水号  
     */ 	
	private String pclsh;

	/**
	 * 通道类型：0大企业，1乐企
	 */
	private String tdlx;

    /**
     * 入账类型：0发票入账，1缴款书入账  
     */ 	
	private String rzlx;
    /**
     * 结果状态:N未获取结果 Y已获取结果  
     */ 	
	private String resultStatus;
    /**
     * 乐企返回码：00：成功 其它：失败  
     */ 	
	private String returnCode;
    /**
     * 乐企返回信息：错误信息说明  
     */ 	
	private String returnMsg;
    /**
     * 创建时间  
     */ 	
	private Date updateTime;
	/**
     * 创建时间
     */
	private Date createTime;
	//columns END


}

