package com.dxhy.api.model.ncp.ncpCustoms;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName NcpJjkcCustomsSqReq
 * @Description 加计扣除申请申请缴款书
 * @Author wangruwei
 * @Date 2023/10/18 15:32
 * @Version 1.0
 */
@Data
public class NcpJjkcCustomsSqReqItem implements Serializable {

    private int rowNum;

    /**
     * 缴款书号码
     **/
    private String customsCode;

    /**
     * 购方税号
     **/
    private String gfsh;

    /**
     * 本次加计扣除税额
     **/
    private String bcjjkcse;

    /**
     * 剩余可加计扣除税额
     **/
    private String sykjjkcse;

    /**
     * 加计所属期
     **/
    private String jjssq;


}
