package com.dxhy.api.model.ncp.ncpJjkcInvoice;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName NcpJjkcCustomsSqReq
 * @Description 加计扣除申请申请
 * @Author wangruwei
 * @Date 2023/10/18 15:32
 * @Version 1.0
 */
@Data
public class NcpJjkcSqReq implements Serializable {

    /**
     * 加计扣除类型
     * 0申请全部项目不加计
     * 1申请剩余金额全部加计
     * 2申请剩余金额部分加计
     **/
    private String sqType;

    /**
     * 申请的发票数据
     **/
    private List<NcpJjkcSqReqItem> invoiceList;
}
