package com.dxhy.api.model.ncp.ncpJjkcInvoice;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName TDxRecordInvoiceNcpJjkcVo
 * @Description 农产品 查询列表实体
 * @Author wangruwei
 * @Date 2023/9/21 17:39
 * @Version 1.0
 */
@Data
public class TDxRecordInvoiceNcpJjkcVo implements Serializable {
    private static final long serialVersionUID = 1L;

    //columns START
    /**
     * 返回前端是否可以勾选
     */
    private Boolean select;
    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String invoiceCode;
    /**
     * invoiceNo
     */
    private String invoiceNo;
    /**
     * 全电发票号码
     */
    private String eleInvoiceNo;
    /**
     * 购方税号
     */
    private String gfTaxNo;
    /**
     * 发票代码+发票号码    唯一索引 防重复
     */
    private String uuid;
    /**
     * 加计所属期
     */
    private String jjssq;
    /**
     * 本次加计扣除税额
     */
    private String bcjjkcse;
    /**
     *  申请类型：18：申请加计 19：撤销加计 20：申请全部项目不加计 21：撤销全部项目不加计
     */
    private String sqlx;
    /**
     * 加计处理状态：1申请加计，2发送请求，3加计失败，4加计成功，5申请撤销，6发送撤销申请，7撤销失败，8撤销成功
     */
    private String clzt;
    /**
     * 农产品确认失败原因
     */
    private String sbyy;
    /**
     * 操作时间：对应页面操作时间
     */
    private String czsj;

    /**
     * 勾选时间，局端返回
     */
    private String gxsj;
    /**
     * 确认人
     */
    private String czr;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * createTime
     */
    private Date createTime;
    //columns END

    //农产品表里的字段
    /**
     * 发票金额
     **/
    private String invoiceAmount;
    /**
     * 可加计扣除额
     **/
    private String kjjkcse;
    /**
     * 剩余可加计扣除额
     **/
    private String sykjjkcse;
    /**
     * 发票种类
     **/
    private String invoiceType;
    /**
     * 开票日期
     **/
    private String invoiceDate;
    /**
     * 购方名称
     **/
    private String gfName;
    /**
     * 销方名称
     **/
    private String xfName;
    /**
     * 销方税号
     **/
    private String xfTaxNo;
    /**
     * 特定要素代码
     **/
    private String lqTdyslxDm;
    /**
     * 发票状态
     **/
    private String invoiceStatus;
    /**
     * 管理状态
     **/
    private String glzt;
    /**
     * 红字锁定标识
     **/
    private String lqHzsdbs;
    /**
     * 成品油异常标识
     **/
    private String lqCpyycbs;
    /**
     * 机动车异常标识
     **/
    private String lqJdcycbs;

}
