package com.dxhy.api.model.rz.rzInvoice.drrq;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName RzReqItem
 * @Description 导入入账发票请求实体
 * @Author wangruwei
 * @Date 2024/6/4 19:43
 * @Version 1.0
 */
@Data
public class RzReqItem implements Serializable {
    /**
     * 发票代码
     **/
    private String invoiceCode;
    /**
     * 发票号码
     **/
    private String invoiceNo;
    /**
     * 入账类型
     * 入账（企业所得税前扣除）
     * 入账（企业所得税不扣除）
     **/
    private String rzType;
    /**
     * 入账属期，格式  yyyy-MM
     **/
    private String rzsq;
}
