package com.dxhy.api.model.tdys;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName TdysDsccstdys
 * @Description 特定要素类型代码为07：代收车船税时返回
 * @Author wangruwei
 * @Date 2024/5/31 16:10
 * @Version 1.0
 */
@Data
public class TdysDsccstdys implements Serializable {
    /**
     * 保险单号
     **/
    private String bxdh;
    /**
     * 车牌号/船舶登记号
     **/
    private String cphcbdjh;
    /**
     * 税款所属期
     **/
    private String skssq;
    /**
     * 车架号
     **/
    private String cjh;
    /**
     * 代收车船税金额
     **/
    private String dsccsje;
    /**
     * 滞纳金
     **/
    private String znj;
    /**
     * 金额合计
     **/
    private String jehj;
}
