package com.dxhy.api.model.tdys;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName TdysLkysfwtdysItem
 * @Description 特定要素类型代码为09：旅客运输服务发票时返回
 * @Author wangruwei
 * @Date 2024/5/31 16:10
 * @Version 1.0
 */
@Data
public class TdysLkysfwtdysItem implements Serializable {
    /**
     * 序号
     **/
    private String xh;
    /**
     * 出行人
     **/
    private String cxr;
    /**
     * 出行人证件类型代码
     **/
    private String cxrzjlxDm;
    /**
     * 身份证件号码
     **/
    private String sfzjhm;
    /**
     * 出行日期
     **/
    private String chuxrq;
    /**
     * 出发地
     **/
    private String cfd;
    /**
     * 到达地
     **/
    private String ddd;
    /**
     * 座位等级
     **/
    private String zwdj;
    /**
     * 交通工具类型代码
     **/
    private String jtgjlxDm;
}
