package com.dxhy.api.model.tdys;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName TdysTxftdysItem
 * @Description 特定要素类型代码为08：通行费返回
 * @Author wangruwei
 * @Date 2024/5/31 16:10
 * @Version 1.0
 */
@Data
public class TdysTxftdysItem implements Serializable {
    /**
     * 项目名称
     **/
    private String xmmc;
    /**
     * 车牌号码
     **/
    private String cphm;
    /**
     * 车辆类型代码
     **/
    private String cllxDm;
    /**
     * 车辆类型名称
     **/
    private String cllxmc;
    /**
     * 通行日期起
     **/
    private String txrqq;
    /**
     * 通行日期止
     **/
    private String txrqz;
    /**
     * 金额
     **/
    private String je;
    /**
     * 税率
     **/
    private String sl1;
    /**
     * 税额
     **/
    private String se;
    /**
     * 序号
     **/
    private String xh;

}
