package com.dxhy.api.model.tdys;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName TdysYlfwzysftdysItem
 * @Description 特定要素类型代码为10：医疗服务（住院）发票时返回-明细-收费
 * @Author wangruwei
 * @Date 2024/5/31 16:10
 * @Version 1.0
 */
@Data
public class TdysYlfwzysftdysItem implements Serializable {
    /**
     * 住院收费明细序号
     **/
    private String zysfmxxh;
    /**
     * 医疗服务住院发票明细序号
     **/
    private String ylfwzyfpmxxh;
    /**
     * 费用明细
     **/
    private String fymx;
    /**
     * 发票商品数量
     **/
    private String fpspsl;
    /**
     * 单位
     **/
    private String dw;
    /**
     * 金额
     **/
    private String je;
    /**
     * 税额
     **/
    private String se;
    /**
     * 税率
     **/
    private String sl1;
    /**
     * 医疗服务贯标码
     **/
    private String ylfwgbm;
    /**
     * 备注
     **/
    private String bz5;

}
