package com.dxhy.api.model.tdys.dqyRespDto;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName DqyTdysHwysfw
 * @Description 货物运输服务发票（电子税局特定要素类型-04）
 * @Author wangruwei
 * @Date 2024/6/3 11:34
 * @Version 1.0
 */
@Data
public class DqyTdysHwysfw implements Serializable {
    /**
     * 车种车号
     **/
    private String vehicleTypeNumber;
    /**
     * 到达地
     **/
    private String destination;
    /**
     * 起运地
     **/
    private String departureStation;
    /**
     * 运输工具号牌
     **/
    private String licensePlate;
    /**
     * 运输工具种类
     **/
    private String vehicleType;
    /**
     * 运输货物名称
     **/
    private String cargoName;

}
