package com.dxhy.api.model.tdys.dqyRespDto;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName DqyTdysLkysfw
 * @Description 旅客运输服务发票（电子税局特定要素类型-09）
 * @Author wangruwei
 * @Date 2024/6/3 11:34
 * @Version 1.0
 */
@Data
public class DqyTdysLkysfw implements Serializable {
    /**
     * 出行人
     **/
    private String fullName;
    /**
     * 身份证件号码
     **/
    private String certificateNo;
    /**
     * 出行日期
     **/
    private String departureTime;
    /**
     * 出发地
     **/
    private String departureStation;
    /**
     * 到达地
     **/
    private String destination;
    /**
     * 等级
     **/
    private String grade;
    /**
     * 交通工具类型
     **/
    private String vehicleType;
    /**
     * 出行人证件类型
     **/
    private String certificateType;

}
