package com.dxhy.api.model.tdys.dqyRespDto;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName DqyTdysZyFp
 * @Description 医疗服务(住院)发票、医疗服务(门诊)发票（电子税局特定要素类型-10、11）-明细
 * @Author wangruwei
 * @Date 2024/6/3 11:34
 * @Version 1.0
 */
@Data
public class DqyTdysZyFpItem implements Serializable {
    /**
     * 支付比例
     **/
    private String paymentRatio;
    /**
     * 费用类别
     **/
    private String expenseCategory;
    /**
     * 费用名称
     **/
    private String expenseName;

}
