package com.dxhy.pojo.obj;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName DqyTsApplyReq
 * @Description 大企业退税确认结果（电子税局）结果获取-明细
 * @Author wangruwei
 * @Date 2024/3/14 15:52
 * @Version 1.0
 */
@Data
public class DqyTsApplyResultRespItem implements Serializable {

    /**
     * 01 专票；
     * 17：海关缴款书
     **/
    private String invoiceType;
    /**
     * 总税额
     **/
    private String totalTaxAmount;
    /**
     * 总份数
     **/
    private String totalNumber;
}
