package com.dxhy.pojo.obj.erp;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName TdxDkTsCountRespVo
 * @Description 退税确认结果-主体信息
 * @Author wangruwei
 * @Date 2024/3/20 14:33
 * @Version 1.0
 */
@Data
public class TdxDkTsCountRespVo implements Serializable {

    private static final long serialVersionUID = 5454155825314635342L;

    //columns START
    /**
     * 税号
     */
    private String taxno;
    /**
     * 名称
     */
    private String taxname;
    /**
     * 所属期
     */
    private String skssq;
    /**
     * 失败后有值。失败原因( 2-已申请确认 4-申请确认月份不符5-税号不存在8-其他异常 9-不符合提交确认申报条件)
     */
    private String failReason;
    /**
     * 确认状态 0 未确认 1：确认中 2：确认成功 3：确认失败
     */
    private String qrStatus;
    /**
     * 是否当前所属期 0： 否 1：是
     */
    private String sfdqskssq;
    /**
     * 确认时间 格式 2019-06-05 16:08:29格式
     */
    private String qrDate;

    /**
     * 退税确认的明细返回
     **/
    private List<TdxDkTsCountDetailRespVo> tsCountDetails;

}
