package com.dxhy.pojo.obj.erp;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName TsApply
 * @Description 退税确认申请实体
 * @Author wangruwei
 * @Date 2024/3/20 14:33
 * @Version 1.0
 */
@Data
public class TsApply implements Serializable {

    /**
     * 纳税人识别号 15或18位
     **/
    private String buyerTaxNo;

    /**
     * 税款所属期 格式YYYYMM
     **/
    private String belongDate;

}
