package com.dxhy.pojo.obj.erp;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName TsApplyResultResult
 * @Description 退税确认申请结果获取-返回实体
 * @Author wangruwei
 * @Date 2024/3/20 14:33
 * @Version 1.0
 */
@Data
public class TsApplyResultResult implements Serializable {

    /**
     * 批次处理状态
     * Y:已处理完成，N：未处完成；
     * Y时返回tsCount信息，N时不返回
     **/
    private String batchState;

    /**
     * 退税的具体信息
     **/
    private TdxDkTsCountRespVo tsCount;

}
