package com.dxhy.jxpt.baseService.config.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.config.sys.TdxLqQllsfpcjKzEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 全量历史发票采集控制表数据持久层
 */
@Mapper
public interface BaseServiceTdxLqQllsfpcjKzDao extends BaseMapper<TdxLqQllsfpcjKzEntity> {
    /**
     * 查询全量历史发票采集控制表是否存在执行失败以及未执行的数据信息
     *
     * @param pramsMap
     * @return
     */
    List<TdxLqQllsfpcjKzEntity> tdxLqQllsfpcjKzList(Map<String, Object> pramsMap);

    /**
     * 更新全量历史发票采集控制表
     */
    void updateTdxLqQllsfpcjKz(Map<String, Object> pramsMap);

    String selectCreatetime(@Param("nsrsbh") String nsrsbh, @Param("sjlx") String sjlx, @Param("rwlx") String rwlx, @Param("fplx") String fplx);

    TdxLqQllsfpcjKzEntity selectTdxLqQllsfpcjKz(TdxLqQllsfpcjKzEntity tdxLqQllsfpcjKz);

    /**
     * @Description 根据税号获取已经勾选的票种信息
     * @Author wangruwei
     * @Date 2022/11/28 11:56
     **/
    List<TdxLqQllsfpcjKzEntity> getselFldmBysh(@Param("nsrsbh") String nsrsbh);
}
