package com.dxhy.jxpt.baseService.config.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.config.TabulateMenuModel;
import com.dxhy.api.model.config.sys.SysTabulateEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author jiaohongyang（焦红阳）
 * @date 2020-09-22
 */
@Mapper
public interface SysTabulateDao extends BaseMapper<SysTabulateEntity> {
    /**
     * 修改显示列表菜单ID
     * 
     * @param menuIdModels
     *            菜单ID model
     */
    void updateTabulateMenuIdTran(List<TabulateMenuModel> menuIdModels);

    /**
     * 修改显示列表权限菜单ID
     *
     * @param menuIdModels
     *            菜单ID model
     */
    void updateTabulateDeptMenuIdTran(List<TabulateMenuModel> menuIdModels);
}
