package com.dxhy.jxpt.baseService.config.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.api.model.config.UserInfo;
import com.dxhy.api.model.config.sys.SysGroupConfigEntity;

import java.util.Map;

public interface SysGroupConfigService  extends IService<SysGroupConfigEntity> {

    /**
    * @Description 初始化集团配置业务
    * @param sysGroupConfig
    * @param userInfo
     * @Return void
    * @Author wangruwei
    * @Date 2023/6/26 10:34
    **/
    void updateSysGroupConfigService(SysGroupConfigEntity sysGroupConfig, UserInfo userInfo);

    /**
    * @Description 获取集团信息
    * @param company
    * @Return com.dxhy.config.model.SysGroupConfig
    * @Author wangruwei
    * @Date 2023/6/26 17:01
    **/
    SysGroupConfigEntity getGroupInfo(String company);


    Map<String, String> getApplyKeyByNsrsbh(String nsrsbh);
}

