package com.dxhy.jxpt.baseService.config.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dxhy.api.model.db.SysLqZldwConfigEntity;
import com.dxhy.jxpt.baseService.config.dao.SysLqZldwConfigDao;
import com.dxhy.jxpt.baseService.config.service.SysLqZldwConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service("sysLqZldwConfigService")
public class SysLqZldwConfigServiceImpl
		extends ServiceImpl<SysLqZldwConfigDao, SysLqZldwConfigEntity>
        implements SysLqZldwConfigService {
			
	@Autowired
	private SysLqZldwConfigDao sysLqZldwConfigDao;

	/**
	 * @Description 获取直连单位信息
	 * @Return org.springframework.http.ResponseEntity<?>
	 * @Author wangruwei
	 * @Date 2023/6/26 17:10
	 **/
	@Override
	public List<SysLqZldwConfigEntity> listLqZldw() {
		List<SysLqZldwConfigEntity> sysLqZldwConfigEntities = sysLqZldwConfigDao.selectList(null);
		return sysLqZldwConfigEntities;
	}
}
