package com.dxhy.jxpt.baseService.cpyAuthInvoice.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.cpy.cpyCustom.TDxRecordCustomCpyVo;
import com.dxhy.api.model.db.TdxCustomsCpyGxEntity;
import com.dxhy.api.model.db.TdxCustomsRecordEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
* @Description 成品油页面功能
* @Author wangruwei
* @Date 2024/7/12 14:38
**/
@Mapper
public interface CpyRecordCustomDao extends BaseMapper<TdxCustomsRecordEntity> {
    /**
    * @Description 成品油勾选页面合计
    * @Author waei
    * @Date 2024/7/15 9:50
    **/
    List<TDxRecordCustomCpyVo> selectAuthPageListHj(Map<String, Object> pramsMap);
    /**
    * @Description 成品油勾选页面列表
    * @Author wangruwei
    * @Date 2024/7/15 9:51
    **/
    List<TDxRecordCustomCpyVo> selectAuthPageList(Map<String, Object> pramsMap);
    /**
    * @Description 成品油勾选页面列表顶部统计数量
    * @param pramsMap
    * @Return java.util.List<com.dxhy.api.model.db.TdxCustomsCpyGxEntity>
    * @Author wangruwei
    * @Date 2024/7/23 15:31
    **/
    List<TdxCustomsCpyGxEntity> selectCountStatusPage(Map<String, Object> pramsMap);
}
