package com.dxhy.jxpt.baseService.cpyAuthInvoice.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.cpy.cpyInvoice.TDxRecordInvoiceCpyVo;
import com.dxhy.api.model.db.TdxInvoiceCpyGxEntity;
import com.dxhy.api.model.db.TdxRecordInvoiceEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
* @Description 成品油页面功能
* @Author wangruwei
* @Date 2024/7/12 14:38
**/
@Mapper
public interface CpyRecordInvoiceDao extends BaseMapper<TdxRecordInvoiceEntity> {
    /**
    * @Description 成品油勾选页面合计
    * @Author wangruwei
    * @Date 2024/7/15 9:50
    **/
    List<TDxRecordInvoiceCpyVo> selectAuthPageListHj(Map<String, Object> pramsMap);
    /**
    * @Description 成品油勾选页面列表
    * @Author wangruwei
    * @Date 2024/7/15 9:51
    **/
    List<TDxRecordInvoiceCpyVo> selectAuthPageList(Map<String, Object> pramsMap);
    /**
     * @Description 成品油勾选页面-顶部统计
     * @Author wangruwei
     * @Date 2024/7/15 9:51
     **/
    List<TdxInvoiceCpyGxEntity> selectCountStatusPage(Map<String, Object> params);
}
