package com.dxhy.jxpt.baseService.ncpInvoice.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.ncp.ncpCustoms.TdxCustomsNcpJjkcEntity;
import com.dxhy.api.model.rz.rzCustom.JkszhcxRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
* @Description 农产品海关缴款书dao
* @Author wangruwei
* @Date 2023/9/21 16:20
**/
@Mapper
public interface NcpJjkcCustomsDao extends BaseMapper<TdxCustomsNcpJjkcEntity> {
    /**
     * 加计扣除页面合计
     **/
    Map<String, Object> selectHjxx(Map<String, Object> pramsMap);

    /**
     * 加计扣除分页
     **/
    List<JkszhcxRespVO> selectByPramsMap(Map<String, Object> pramsMap);

    /**
     * 加计扣除结果页面合计
     **/
    Map<String, Object> selectResultHjxx(Map<String, Object> pramsMap);
    /**
     * 加计扣除结果分页
     **/
    List<JkszhcxRespVO> selectResultByPramsMap(Map<String, Object> pramsMap);
}
