package com.dxhy.jxpt.baseService.ncpInvoice.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.api.model.ncp.ncpCustoms.NcpJjkcCustomsSqReq;
import com.dxhy.api.model.ncp.ncpCustoms.NcpJjkcCustomsSqReqItem;
import com.dxhy.api.model.ncp.ncpCustoms.TdxCustomsNcpJjkcEntity;

import java.util.List;
import java.util.Map;

/**
* @Description 农产品加计扣除功能业务
* @Return
* @Author wangruwei
* @Date 2023/9/21 16:17
**/
public interface NcpJjkcCustomsService extends IService<TdxCustomsNcpJjkcEntity> {

    /**
     * @Description 农产品海关缴款书加计扣除发票列表
     * @Return java.lang.Object
     * @Author wangruwei
     * @Date 2023/10/20 17:55
     **/
    Object selectByPramsMap(Map<String, Object> pramsMap, int curr, int size);

    /**
     * @Description 农产品-缴款书加计扣除申请
     * @Author wangruwei
     * @Date 2023年10月17日16:57:06
     **/
    String ncpJjkcCustomSq(NcpJjkcCustomsSqReq req, String userName);
    /**
     * @Description 农产品海关缴款书加计扣除结果列表
     * @Return java.lang.Object
     * @Author wangruwei
     * @Date 2023/10/20 17:55
     **/
    Object ncpJjkcCustomResultPage(Map<String, Object> pramsMap, int curr, int size);

    /**
     * @Description 农产品--缴款书撤销加计
     * @Author wangruwei
     * @Date 2023年10月19日16:57:06
     **/
    String ncpJjkcCustomCx(List<NcpJjkcCustomsSqReqItem> customList, String userName);
}
