package com.dxhy.jxpt.baseService.rzInvoice.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.rz.rzCustom.JkszhcxRespVO;
import com.dxhy.api.model.rz.rzCustom.TdxLqRzCustomEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
* @Description 缴款书入账dao
* @Author wangruwei
* @Date 2023/9/21 16:20
**/
@Mapper
public interface RzRecordCustomDao extends BaseMapper<TdxLqRzCustomEntity> {

    /**
     * @Description 缴款书统计
     * @Author wangruwei
     * @Date 2023/9/26 11:16
     **/
    Map<String, Object> preRzCustomHj(Map<String, Object> pramsMap);

    /**
    * @Description 缴款书待入账列表
    * @Author wangruwei
    * @Date 2023/9/26 11:09
    **/
    List<JkszhcxRespVO> preRzCustomList(Map<String, Object> pramsMap);

    /**
     * @Description 缴款书入账结果合计
     * @Author wangruwei
     * @Date 2023/9/26 15:34
     **/
    Map<String, Object> rzCustomResultHj(Map<String, Object> pramsMap);
    /**
    * @Description 缴款书入账结果查询
    * @Author wangruwei
    * @Date 2023/9/26 14:15
    **/
    List<JkszhcxRespVO> rzCustomResultList(Map<String, Object> pramsMap);
}
