package com.dxhy.jxpt.baseService.rzInvoice.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.api.model.rz.rzCustom.RzCustomPageReq;
import com.dxhy.api.model.rz.rzCustom.TdxLqRzCustomEntity;

import java.util.Map;

/**
* @Description 大企业缴款书入账业务
* @Return
* @Author wangruwei
* @Date 2023/9/21 16:17
**/
public interface RzCustomService extends IService<TdxLqRzCustomEntity> {

    /**
    * @Description 待入账海关缴款书列表
    * @Author wangruwei
    * @Date 2023/9/25 15:58
    **/
    Object preRzCustomList(Map<String, Object> pramsMap, int curr, int size);

    /**
    * @Description 海关缴款书入账结果查询
    * @Author wangruwei
    * @Date 2023/9/26 14:14
    **/
    Object rzCustomResultList(Map<String, Object> pramsMap, int curr, int size);
    /**
    * @Description 缴款书入账/撤销入账 申请
    * @Author wangruwei
    * @Date 2023/9/26 16:39
    **/
    boolean rzCustomReq(RzCustomPageReq req, String userName);
}
