package com.dxhy.jxpt.baseService.sign.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.api.model.sign.TDxInvoiceDel;
import com.dxhy.api.model.sign.QsInvoiceCount;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 *
 * 发票扫描表dao
 *
 * @author jiaohongyang
 * @date 2019年3月26日 下午6:02:48
 */
@Mapper
public interface SignInvoiceDelDao extends BaseMapper<TDxInvoiceDel> {

    /**
     * 签收发票记录查询接口
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     * @since 1.0
     */
    List<TDxInvoiceDel> selectDelfpList(Map<String, Object> pramsMap);

    /**
     * 签收发票记录合计
     *
     * @param pramsMap
     *            请求参数
     * @return 返回结果
     */
    QsInvoiceCount selectDelfpListCount(Map<String, Object> pramsMap);

}
