package com.dxhy.baseInterface.bigBTab.dao;

import com.dxhy.api.model.bigB.tabInterface.RzTjTabReq;
import com.dxhy.api.model.bigB.tabInterface.YcFptjTabRespData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author user
 */

@Mapper
public interface BigBTabDao {
    /**
    * @Description 根据认证时间查找 已认证抵扣税额
    * @param rzTjTabReq
    * @Return java.util.Map<java.lang.String,java.lang.String>
    * @Author wangruwei
    * @Date 2023/7/10 14:06
    **/
    List<Map<String,Object>> countRzSe(RzTjTabReq rzTjTabReq);

    /**
    * @Description 进项税额转出金额税额
    * @param rzTjTabReq
    * @Return java.util.Map<java.lang.String,java.lang.String>
    * @Author wangruwei
    * @Date 2023/7/10 14:25
    **/
    List<Map<String,Object>> countJxszc(RzTjTabReq rzTjTabReq);

    /**
     * @Description 异常发票数量查询
     * @param rzTjTabReq
     * @Return java.lang.String
     * @Author wangruwei
     * @Date 2023/7/10 16:04
     **/
    List<Map<String,Object>> countYcfpsl(RzTjTabReq rzTjTabReq);


    List<YcFptjTabRespData> countYcfpinfo(RzTjTabReq rzTjTabReq);

}
