package com.dxhy.dkdj.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.api.model.config.UserInfo;
import com.dxhy.api.model.dkdj.DkdjAuthExcel;
import com.dxhy.api.model.dkdj.DkdjAuthReq;
import com.dxhy.api.model.dkdj.TdxZzsDkdjwspzEntity;

import java.util.List;
import java.util.Map;

/**
* @Description 代扣代缴业务层
* @Author wangruwei
* @Date 2023/11/28 11:24
**/
public interface DkdjService  extends IService<TdxZzsDkdjwspzEntity> {

    /**
     * @Description 代扣代缴查询页面
     * @param pramsMap
     * @Return java.lang.Object
     * @Author wangruwei
     * @Date 2023/11/28 11:38
     **/
    Object dkdjAuthPage(Map<String, Object> pramsMap, int curr, int size);
    /**
     * @Description 代扣代缴认证/认证不抵扣
     * @Return java.lang.Object
     * @Author wangruwei
     * @Date 2023/11/28 11:38
     **/
    Object dkdjAuth(DkdjAuthReq dkdjAuthReq, UserInfo userInfo);

    /**
     * @Description 代扣代缴导入，返回前端展示
     * @param dkdjAuthExcels
     * @param userInfo
     * @Return java.lang.Object
     * @Author wangruwei
     * @Date 2023/11/29 16:04
     **/
    Object dkdjExcelShow(List<DkdjAuthExcel> dkdjAuthExcels, UserInfo userInfo);

    /**
     * @Description 代扣代缴导入的保存，入库
     * @param dkdjAuthExcels
     * @Return java.lang.Object
     * @Author wangruwei
     * @Date 2023/11/29 16:04
     **/
    Object dkdjExcelSave(List<DkdjAuthExcel> dkdjAuthExcels, UserInfo userInfo);
}
