package com.dxhy.config.controller;

import com.dxhy.common.utils.PageUtils;
import com.dxhy.common.utils.R;
import com.dxhy.jxpt.baseService.config.service.SysLogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;
import java.util.Map;

/**
 * 系统日志
 *
 * @author jiaohongyang
 */
@Controller
@RequestMapping("/sys/log")
@Slf4j
public class SysLogController {
    @Resource
    private SysLogService sysLogService;

    /**
     * 列表
     */
    @ResponseBody
    @RequestMapping("/list")
    public ResponseEntity<?> list(@RequestBody Map<String, Object> params) {
        PageUtils page = sysLogService.queryPage(params);
        return ResponseEntity.ok(R.ok().put("page", page));
    }

}
