package com.dxhy.core.job.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 增值税发票归集接口日志表
 *
 * @author Allen
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@TableName("t_dx_http_log_zzsfpgj")
@Data
public class TDxHttpLogZzsfpgjEntity implements Serializable {

    private static final long serialVersionUID = 1L;
    @TableId
    private Long logId;
    /**
     * 批次号
     */
    private String batchNo;

    /**
     * 税号
     */
    private String taxno;

    /**
     * 发票类型
     */
    private String invoiceType;

    /**
     * 请求类型01 进项增值税发票归集 02 销项增值税发票归集
     */
    private String type;
    /**
     * 请求时间
     */
    private Date reqDate;
    /**
     * 请求报文
     */
    private String reqText;
    /**
     * 返回报文时间
     */
    private Date resDate;
    /**
     * 返回报文
     */
    private String resText;
    /**
     * 解析状态 0 未解析 1 解析成功 2 解析失败
     */
    private String status;
    /**
     * 返回报文中发票统计数
     */
    private String total;
    /**
     * 企业代码
     */
    private String company;

}
