package com.dxhy.core.job.pojo;

import lombok.Data;

/**
 * @author user
 */
@Data
public class CountMsgResult {
    private String incomeMonth;
    private String taxno;
    private String countDate;
    private String countStatus;
    private String countReport;
    private String signDate;
    /**
     * 00-已申请统计01-可申请统计；02-可确认申报；03-已确认申报
     * （全电平台该字段默认返回空）
     **/
    private String countFlag;
    private String cancelFalg;
    /**
     * 异常抵扣类勾选统计结果
     **/
    private String ycdkCountReport;

    /**
     * 农产品勾选统计
     **/
    private String agricCountReport;
    /**
     * 增值税申报
     **/
    private String taxCountReport;

}
