package com.dxhy.core.job.pojo;

import lombok.Data;

/**
 * @Description 大企业数电票（航空运输电子客票行程单）--明细返回报文 对应实体
 * @Return
 * @Author wangruwei
 * @Date 2024/4/10 13:59
 **/

@Data
public class InvoiceMhxcdInfoItem extends BasePojo {
    /**
     * 明细编号
     **/
    private String detailNo;
    /**
     * 证件号
     **/
    private String certificateNo;
    /**
     * 电子客票号
     **/
    private String eleTicketNo;
    /**
     * 姓名
     **/
    private String fullName;
    /**
     * GP单号
     **/
    private String gp;
    /**
     * 国内国际标识
     **/
    private String internationalLogo;
    /**
     * 承运人
     **/
    private String carrier;
    /**
     * 承运日期
     **/
    private String carrierDate;
    /**
     * 始发站
     **/
    private String departureStation;
    /**
     * 起飞时间
     **/
    private String departureTime;
    /**
     * 目的站
     **/
    private String destination;
    /**
     * 航班号
     **/
    private String flightNo;
    /**
     * 航段
     **/
    private String leg;
    /**
     * 座位等级
     **/
    private String seatClass;
    /**
     * 客票类型
     **/
    private String ticketType;
    /**
     * 免费行李
     **/
    private String baggageWeight;
    /**
     * 有效截止日期
     **/
    private String expiryDate;
    /**
     * 客票生效日期
     **/
    private String ticketEffectiveDate;

}
