package com.dxhy.core.job.pojo;

import lombok.Data;

/**
 * 功能描述
 * 
 * @author 陈刚扬
 * @date 2020/10/30
 */
@Data
public class VehicleSaleInvoiceInfos extends BasePojo {

    private static final long serialVersionUID = 9140037500021701297L;

    private String invoiceCode;
    private String invoiceNo;
    /**
     * 数电号码
     **/
    private String electronicInvoiceNo;
    private String currentTaxPeriod;
    private String legalizeEndDate;
    private String legalizeInvoiceDateBegin;
    private String legalizeInvoiceDateEnd;
    private String invoiceType;
    private String buyerName;
    private String invoiceDate;
    private String buyerIdNum;
    private String buyerTaxNo;
    private String vehicleType;
    private String factoryModel;
    private String productPlace;
    private String certificate;
    private String certificateImport;
    private String inspectionNum;
    private String engineNo;
    private String vehicleNo;
    private String totalAmount;
    private String phone;
    private String taxNum;
    private String buyerAcount;
    private String buyerAddressPhone;
    private String buyerBank;
    private String taxRate;
    private String taxAmount;
    private String taxBureauCode;
    private String taxBureauName;
    private String invoiceAmount;
    private String taxRecords;
    private String tonnage;
    private String limitPeople;
    private String invoiceStatus;
    private String checkStatus;
    private String legalizeState;
    private String legalizeDate;
    private String taxPeriod;
    private String legalizeType;
    private String sfdbts;
    private String rzlx;
    private String yxse;
    private String xxly;
    private String yqkgxbz;
    private String glzt;
    private String salerName;
    private String salerPhone;
    private String salerTaxno;
    private String salerAcount;
    private String salerAddress;
    private String salerBank;

    /**
     * 红字锁定标志
     * Y--已锁定
     * N--未锁定
     **/
    private String redLock;

}
