package com.dxhy.core.job.pojo;

import lombok.Data;

/**
 * @description  增值税发票采集请求数据
 * @author  Allen
 * @date    2023/8/17 16:50
*/
@Data
public class ZzsfpcjRequestData extends BasePojo {

    private static final long serialVersionUID = 5186848186806062582L;
    /**
     * 批次号
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String batchNo;
    /**
     * 购方税号
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String taxno;
    /**
     * 开始时间
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String acquisitionDateBegin;
    /**
     * 结束时间
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String acquisitionDateEnd;
    /**
     * 开始行数
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private Integer startRow;
    /**
     * 发票类型
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String invoiceType;

    /**
     * 1-进项数据 2-销项数据
     *
     */
    private String dataType;


}
