package com.dxhy.core.model;

import lombok.Data;

import java.io.Serializable;

/**
 * 认证结果清单响应对象
 * 
 * @author aa
 */
@Data
public class RzjgqdRespVO implements Serializable {

    private static final long serialVersionUID = -3636641286328888012L;

    /**
     * id
     */
    private String id;

    /**
     * uuid
     */
    private String uuid;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String fpdm;

    /**
     * 发票号码
     */
    private String fphm;

    /**
     * 数电号码
     **/
    private String eleInvoiceNo;

    /**
     * 发票类型
     */
    private String fplx;

    /**
     * 开票日期
     */
    private String kprq;

    /**
     * 销方税号
     */
    private String xfsh;

    /**
     * 销方名称
     */
    private String xfmc;

    /**
     * 金额
     */
    private String je;

    /**
     * 税额
     */
    private String se;

    /**
     * 抵扣税额
     */
    private String dkse;

    /**
     * 认证日期
     */
    private String rzrq;

    /**
     * 抵扣类型
     */
    private String dklx;


    /**
     *特定要素
     **/
    private String lqTdyslxDm;
    /**
     *认证属期
     **/
    private String rzhBelongDate;
    /**
     * 发票状态
     **/
    private String invoiceStatus;
    /**
     *管理状态
     **/
    private String glzt;
    /**
     * 红字锁定标识
     **/
    private String lqHzsdbs;
    /**
     * 成品油异常标识
     **/
    private String lqCpyycbs;
    /**
     * 机动车异常标识
     **/
    private String lqJdcycbs;
}
