package com.dxhy.core.model.erpPool;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description 对外接口-缴款书
 * @Author wangruwei
 * @Date 2024/10/29 9:50
 * @Version 1.0
 */
@Data
public class ErpCustoms implements Serializable {
    /**
     * 缴款单位
     */
    private String gfName;
    /**
     * 缴款税号
     */
    private String gfTaxNo;
    /**
     * 缴款书号码
     */
    private String customsCode;
    /**
     * 出口转内销号码
     */
    private String ckznxzmbh;
    /**
     * 填发日期 YYYY-MM-DD HH:mm:ss
     */
    private String fillInDate;
    /**
     * 税款金额
     */
    private String taxAmount;
    /**
     * 备用字段1
     */
    private String byzd1;
    /**
     * 备用字段2
     */
    private String byzd2;
    /**
     * 备用字段3
     */
    private String byzd3;
    /**
     * 备用字段4
     */
    private String byzd4;
    /**
     *海关缴款书状态信息
     **/
    private ErpCustomsState hgjksState;
    /**
     *缴款书明细
     **/
    private List<ErpCustomsItems> jksmx;
}
