package com.dxhy.core.model.erpPool;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description 对外接口-缴款书明细
 * @Author wangruwei
 * @Date 2024/10/29 9:51
 * @Version 1.0
 */
@Data
public class ErpCustomsItems implements Serializable {
    /**
     * 海关税号信息(10位)
     */
    private String taxno;
    /**
     * 货物名称
     */
    private String goodsName;
    /**
     * 数量
     */
    private String num;
    /**
     * 完税价格
     */
    private String detailAmount;
    /**
     * 单位
     */
    private String unit;
    /**
     * 税率
     */
    private String taxRate;
    /**
     * 税款金额
     */
    private String taxAmount;
}
