package com.dxhy.core.model.erpPool;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName Hkyskpdzxcd
 * @Description 对外接口-航空运输客票电子行程单信息
 * @Author wangruwei
 * @Date 2024/10/28 11:30
 * @Version 1.0
 */
@Data
public class ErpHkyskpdzxcd implements Serializable {
    /**
     * 购买方经办人
     */
    private String gmfjbr;
    /**
     * 票价
     */
    private String pj;
    /**
     * 燃油附加费
     */
    private String ryfjf;
    /**
     * 增值税税额
     */
    private String zzsse;
    /**
     * 增值税税率
     */
    private String zzssl;
    /**
     * 民航发展基金
     */
    private String mhfzjj;
    /**
     * 其他税费
     */
    private String qtsf;
    /**
     * 经办人身份证号
     */
    private String jbrsfzjhm;
    /**
     * 经办人联系电话
     */
    private String jbrlxdh;
    /**
     * 开票人实人认证地址信息
     */
    private String kprsrrzdzxx;
    /**
     * 手机开票地址信息
     */
    private String sjkpdzxx;
    /**
     * 合同编号
     */
    private String htbh;
    /**
     * 纳税义务发生时间
     */
    private String nsywfssj;
    /**
     * 经办人身份证件种类
     */
    private String jbrsfzjzlDm;
    /**
     * 商品数量
     */
    private String spsl;
    /**
     * 国内国际标识
     */
    private String gngjbz;
    /**
     * GP 单号
     */
    private String gpdh;
    /**
     * 姓名
     */
    private String xm;
    /**
     * 证件号码
     */
    private String zjhm;
    /**
     * 签注
     */
    private String qz;
    /**
     * 电子客票号码
     */
    private String dzkphm;
    /**
     * 验证码
     */
    private String yzm;
    /**
     * 提示信息
     */
    private String tsxx;
    /**
     * 保险费
     */
    private String bxf;
    /**
     * 销售网点代号
     */
    private String xswddh;
    /**
     * 填开单位
     */
    private String tkdw;
    /**
     * 开票日期
     */
    private String kprq;

    /**
     * 行程单明细
     **/
    private List<ErpXcdmx> xcdmx;
}
