package com.dxhy.core.model.erpPool;

import lombok.Data;

import java.io.Serializable;

/**
 * @description  对外接收实体-农产品加计扣除缴款书明细
 * @author  Allen
 * @date    2024/12/11 14:26
*/
@Data
public class ErpNcpJjckCustomsMx implements Serializable {
    /**
     * 缴款书号码
     **/
    private String customsCode;
    /**
     * 填发日期
     **/
    private String fillInDate;
    /**
     * 出口转内销证明编号
     **/
    private String ckznxzmbh;
    /**
     * 购方税号
     **/
    private String gfTaxNo;
    /**
     * 申请类型
     **/
    private String sqlx;
    /**
     * 加计所属期
     **/
    private String jjssq;
    /**
     * 本次加计扣除税额
     **/
    private String bcjjkcse;
    /**
     * 勾选时间
     **/
    private String gxsj;
}
