package com.dxhy.core.model.erpPool;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description 对外接收-代扣代缴
 * @Author wangruwei
 * @Date 2024/10/29 9:40
 * @Version 1.0
 */
@Data
public class ErpPushDkdj implements Serializable {

    /**
     * 批次号
     **/
    private String pch;
    /**
     * 数据来源：对应字典表PCSJLY（数据来源对应明细），目前支持的系统包括：进项：JXXT，销项：XXXT，报销SDK：BXSDK
     **/
    private String sjly;
    /**
     * 具体数据
     **/
    private List<ErpReqDkdj> data;
}
