package com.dxhy.core.model.erpPool;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description 增值税发票推送接口接收实体
 * @Author wangruwei
 * @Date 2024/10/29 9:35
 * @Version 1.0
 */
@Data
public class ErpPushInvoice implements Serializable {

    /**
     * 批次号
     **/
    private String pch;
    /**
     * 数据来源：对应字典表PCSJLY（数据来源对应明细），目前支持的系统包括：进项：JXXT，销项：XXXT，报销SDK：BXSDK
     **/
    private String sjly;
    /**
     * 数据
     **/
    private List<ErpReqInvoice> data;
}
