package com.dxhy.core.model.erpPool;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description 票据状态推送
 * @Author wangruwei
 * @Date 2024/10/29 9:37
 * @Version 1.0
 */
@Data
public class ErpPushInvoiceState implements Serializable {

    /**
     * 票据类型
     **/
    private String pjlx;

    /**
     * 数据来源
     **/
    private String sjly;
    /**
     * 票据状态数据
     **/
    private List<ErpInvoiceState> invoiceState;

}
