package com.dxhy.core.model.erpPool;


import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName ZzsdkdjwspzState
 * @Description 对外接口-增值税代扣代缴完税凭证状态信息
 * @Author wangruwei
 * @Date 2024/10/28 11:42
 * @Version 1.0
 */
@Data
public class ErpZzsdkdjwspzState implements Serializable {
    /**
     * 认证状态
     */
    private String rzzt;
    /**
     * 认证所属期
     */
    private String rzssq;
    /**
     * 认证税额
     */
    private String dkTaxAmount;
    /**
     * 不抵扣原因
     */
    private String bdkyy;
    /**
     * 不抵扣类型
     */
    private String bdkMessage;
    /**
     * 红字锁定标识
     */
    private String hzsdbs;
    /**
     * 入账状态
     */
    private String inAccountStatus;
    /**
     * 入账类型
     */
    private String inAccountType;
    /**
     * 入账所属期
     */
    private String inAccountSsq;


}
