package com.dxhy.core.service.config;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.api.model.config.UserInfo;
import com.dxhy.api.model.config.sys.SysGroupConfigEntity;

import java.util.Map;

public interface SysGroupConfigService extends IService<SysGroupConfigEntity> {

    /**
    * @Description 获取集团信息
    * @param company
    * @Return com.dxhy.config.model.SysGroupConfig
    * @Author wangruwei
    * @Date 2023/6/26 17:01
    **/
    SysGroupConfigEntity getGroupInfo(String company);


    Map<String, String> getApplyKeyByNsrsbh(String nsrsbh);
}

