package com.dxhy.core.service.export;

import com.alibaba.fastjson.JSONObject;
import com.dxhy.base.entity.BaseTDxRecordInvoice;
import com.dxhy.common.service.MpBaseService;

import java.util.Map;

/**
 * 发票信息综合查询接口
 *
 * @author user
 */

public interface RzFpsgrzService extends MpBaseService<BaseTDxRecordInvoice> {

    /**
     * 根据发票代码、发票号码使用mybatis-plus分页查询发票信息
     *
     * @author 陈刚扬
     * @date 2020/10/29
     * @param pramsMap
     * @param curr
     * @param size
     * @return com.alibaba.fastjson.JSONObject @
     */
    JSONObject selectByPramsMap(Map<String, Object> pramsMap, int curr, int size);

}
