package com.dxhy.erp.service;

import com.dxhy.common.service.MpBaseService;
import com.dxhy.common.util.pojo.Authorize;
import com.dxhy.common.util.pojo.GlobalInfo;
import com.dxhy.erp.entity.TdxCheckRecordInvoice;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * @author dxhy
 */
public interface CheckDataService extends MpBaseService<TdxCheckRecordInvoice> {

    /**
     * 待填
     * 
     * @param globalInfo
     * @param map
     * @param request
     * @param response
     * @param authorize
     * @return
     */
    String get(GlobalInfo globalInfo, Map<String, String> map, HttpServletRequest request, HttpServletResponse response,
        Authorize authorize);
    /**
    * @Description 乐企查验接口
    * @Author wangruwei
    * @Date 2023/3/2 13:54
    **/
    String lqGetCheckInvoice(GlobalInfo globalInfo, Map<String, String> requestParam);
}
