package com.dxhy.erp.service;

import com.dxhy.common.util.pojo.Authorize;
import com.dxhy.common.util.pojo.GlobalInfo;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * 
 * @description 乐企票据入账业务类
 * @author Allen 
 * @updateTime 2023/2/22 16:37 
 * @param 
 */
public interface LqFpRzService {

    /**
     *
     * @description 发票入账接口
     * @author Allen
     * @updateTime 2023/2/22 17:09
     * @param
     */
    String fpRz(GlobalInfo globalInfo ,Map<String, String> requestParam);

    /**
     *
     * @description 发票入账结果查询接口
     * @author Allen
     * @updateTime 2023/2/22 17:09
     * @param
     */
    String fpRzCx(GlobalInfo globalInfo ,Map<String, String> requestParam);

    /**
     *
     * @description 缴款书入账接口
     * @author Allen
     * @updateTime 2023/2/22 17:09
     * @param
     */
    String jksRz(GlobalInfo globalInfo ,Map<String, String> requestParam);

    /**
     *
     * @description 缴款书入账结果查询接口
     * @author Allen
     * @updateTime 2023/2/22 17:09
     * @param
     */
    String jksRzCx(GlobalInfo globalInfo ,Map<String, String> requestParam);

    /**
    * @Description 数电发票xml下载
    * @Return java.lang.String
    * @Author wangruwei
    * @Date 2023/8/21 9:59
    **/
    String sdfpXmlDownload(GlobalInfo globalInfo, Map<String, String> requestParam, HttpServletRequest request, HttpServletResponse response, Authorize authorize);
}
