package com.dxhy.erp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.api.model.config.sys.SysEnterpriseConfigDto;
import com.dxhy.common.util.pojo.Authorize;
import com.dxhy.common.util.pojo.GlobalInfo;
import com.dxhy.api.model.invoice.TDxInvoiceReimburse;
import com.dxhy.erp.model.ReimburseReq;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * @author Gy Chen
 * @date 2021/3/5
 */
public interface TDxInvoiceReimburseService extends IService<TDxInvoiceReimburse> {

    TDxInvoiceReimburse invoiceHandle(ReimburseReq reimburseReq, SysEnterpriseConfigDto deptEntity);

    String signCanceled(GlobalInfo globalInfo, Map<String, String> map, HttpServletRequest request,
        HttpServletResponse response, Authorize authorize);
}
