package com.dxhy.api.model.bigB.enterpriseInterface;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description 大B企业信息修改，乐企直连单位修改--请求参数实体
 * @Author wangruwei
 * @Date 2024/12/4 17:34
 * @Version 1.0
 */
@Data
public class EnterpriseLqZlChangeReq implements Serializable {
    /**
     *同步业务数据唯一标识
     **/
    private String id;
    /**
     *公司名称
     **/
    private String companyName;
    /**
     *税号
     **/
    private String taxpayerCode;
    /**
     *接入类型（乐企模式）默认LQZY
     **/
    private String jrlx;
    /**
     *地区编码
     **/
    private String areaCode;
    /**
     *乐企id
     **/
    private String lqId;
    /**
     *api秘钥
     **/
    private String apiKey;
    /**
     *链接模式,1直连,2代理
     **/
    private String linkType;
    /**
     *税局乐企API地址
     **/
    private String apiUrl;
    /**
     *代理服务IP
     **/
    private String proxyIp;
    /**
     *修改日期
     **/
    private Date updateTime;
    /**
     *创建日期
     **/
    private Date createTime;
    /**
     *创建人id
     **/
    private String createUser;
    /**
     *修改人id
     **/
    private String updateUser;
    /**
     *1 增加 2修改 3删除
     **/
    private String type;
}
