package com.dxhy.api.model.bigB.tabInterface;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName RzTjTabReq
 * @Description 对大Btab接口。认证统计，进项税转出查询 返回实体
 * @Author wangruwei
 * @Date 2023/7/10 11:10
 * @Version 1.0
 */
@Data
public class RzTjTabResp implements Serializable {
    /**
     * 结果代码
     */
    private String code;
    /**
     * 结果描述
     */
    private String message;

    /**
     * 返回具体数据实体
     **/
    private List<RzTjTabRespData> listTj;

}
