package com.dxhy.api.model.config;

import lombok.Data;

import java.util.Date;


/**
 * 获取全量发票实体类
 */
@Data
public class CollectionControlModel {
    /**
     * 数据库名称
     */
    private String dbName;
    /**
     * 纳税人识别号
     */
    private String nsrsbh;
    /**
     * 定时任务执行状态0：未执行，1：执行中，2：执行完成
     */
    private String rwzxzt;
    /**
     * 票种选择，多票种用“,”（逗号）隔开
     */
    private String pzxz;
    /**
     * 使用单位平台编码,tdxz为1时必填
     */
    private String sydwptbm;

    /**
     *所属中心企业
     */
    private String company;
    /**
     *购方名称
     */
    private String taxname;

    /**
     *是否启用农产品抵扣：0否，1是
     */
    private String sfqyncpdk;

    /**
     *是否启用农产品加计扣除：0否，1是
     */
    private String sfqyncpjjkc;

    /**
     *农产品发票局端启用时间YYYYMM
     */
    private String ncpgnqyrq;

    /**
     *特殊票种选择：逗号“，”隔开，增值税代扣代缴完税凭证：ZZSDKDJWSPZ，出口转内销发票：CKZNXFP，出口转内销缴款书：CKZNXJKS
     */
    private String tspzxz;
    private String aceId;
    private String acekey;
    private Date firstCollectDate;

}
