package com.dxhy.api.model.config.sys;

import lombok.Data;

/**
 * @ClassName ImportEnterpriseLq
 * @Description 乐企导入
 * @Author wangruwei
 * @Date 2023/6/28 14:57
 * @Version 1.0
 */
@Data
public class ImportEnterpriseLqEntity {

    /**
     * 直连单位税号
     **/
    private String zlNsrsbh;
    /**
     * 纳税人识别号--使用单位税号
     **/
    private String nsrsbh;

    /**
     * 使用单位平台编码,jrfs为1时必填
     **/
    private String sydwptbm;

    /**
     * 农产品功能局端启用时间：yyyy-MM
     **/
    private String ncpgnqyrq;

    /**
     * 是否启用农产品勾选抵扣
     **/
    private String sfqyncpdk;

    /**
     * 是否启用农产品加计扣除
     **/
    private String sfqyncpjjkc;

    /**
     * 增值税代扣代缴完税凭证
     **/
    private String zzsdkdjwspz;
    /**
     * 出口转内销发票
     **/
    private String ckznxfp;
    /**
     * 出口转内销缴款书
     **/
    private String ckznxjks;


}
