package com.dxhy.api.model.config.sys;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 业务字典
 * 
 * @author jiaohongyang
 */
@Data
@TableName("sys_dicttype")
public class SysDicttypeEntity {
    /**
     * 主键id
     */
    @TableId
    private Long dicttypeid;

    /**
     * 字典名称
     */
    private String dicttypename;

    /**
     * 字典描述
     */
    private String dicttypedesc;

    /**
     * 字典编码
     */
    private String dicttypecode;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改时间
     */
    private Date lastModifyTime;

    /**
     * 修改人
     */
    private String lastModifyBy;

    /**
     * 系统编码
     */
    private String sysCode;

}
