package com.dxhy.api.model.config.sys;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("sys_enterprise_config")
public class SysEnterpriseConfigEntity implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;

	//columns START
    /**
     * id  
     */ 	
	private Long id;
	/**
	 * 集团编码
	 */
	private String company;
	/**
	 * 集团名称
	 */
	@TableField(exist = false)
	private String companyName;
    /**
     * 纳税人识别号  
     */ 	
	private String nsrsbh;
    /**
     * 纳税人名称  
     */ 	
	private String nsrmc;
    /**
     * 接入方式：0大企业，1乐企  
     */ 	
	private String jrfs;
    /**
     * 是否查验：0不查验，1查验  
     */ 	
	private String sfcy;
    /**
     * 是否采集：0不采集，1采集  
     */ 	
	private String sfcj;
    /**
     * 使用单位平台编码,jrfs为1时必填  
     */ 	
	private String sydwptbm;

	/**
	 * 密码
	 **/
	private String password;
	/**
	 * 是否下载 0-不下载 1-下载
	 **/
	private String isDown;
	/**
	 * 普票是否进行查验 0-否 1-是
	 **/
	private String checkFlag;
    /**
     * 操作人名称（username）  
     */ 	
	private String czrMc;
    /**
     * 操作人id（userid）  
     */ 	
	private String czrId;

	/**
     * 是否启用农产品抵扣：0否，1是
     */
	private String sfqyncpdk;
	/**
     * 是否启用农产品加计扣除：0否，1是
     */
	private String sfqyncpjjkc;
	/**
	 * 农产品功能局端启用时间
	 */
	private String ncpgnqyrq;
	/**
	 * 乐企农产品业务变更时间，当月不允许变更
	 */
	private Date lqncpywbgsj;
	/**
	 * 乐企农产品加计扣除业务启用时间，当月不允许重复启用
	 */
	private Date lqncpjjkcqysj;

	/**
	 * 特殊票种选择：逗号“,”隔开，
	 * 增值税代扣代缴完税凭证：ZZSDKDJWSPZ，出口转内销发票：CKZNXFP，出口转内销缴款书：CKZNXJKS
	 **/
	private String tspzxz;

    /**
     * 创建时间  
     */ 	
	private Date createTime;
    /**
     * 修改时间
     */
	private Date updateTime;
	/**
	 * 大B企业id，使用单位，若通过进项页面新增使用nsrsbh
	 **/
	private String sydwqyid;
	/**
	 * 大B企业id，直连单位，若通过进项页面新增使用nsrsbh
	 **/
	private String zldwqyid;
	//columns END


}

