package com.dxhy.api.model.config.sys;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @description 缴款书采集控制表
 * @author Allen 
 * @updateTime 2022/12/31 16:13 
 * @param 
 */
@Data
@TableName("t_dx_lq_qllshgjkscj_kz")
public class TdxLqQllshgjkscjKzEntity implements Serializable {

    @TableId
    private Long id;
    /**
     * 纳税人识别号
     */
    private String nsrsbh;

    /**
     * 填发日期起YYYYMMDD
     */
    private String tfrqq;
    /**
     * 填发日期止YYYYMMDD
     */
    private String tfrqz;
    /**
     * 任务类型：1：全量海关缴款书采集，2：上月全量海关缴款书采集
     */
    private String rwlx;
    /**
     * 定定时任务执行状态0：未执行，1：执行中，2：执行完成,，3：采集成功，4：采集失败
     */
    private String rwzxzt;
    /**
     * 操作人
     */
    private String czr;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 创建时间
     */
    private Date createTime;

}
