package com.dxhy.api.model.cpy.cpyCustom;

import com.dxhy.api.model.db.TdxCustomsRecordEntity;
import lombok.Data;

/**
 * @ClassName TDxRecordCustomCpyVo
 * @Description 成品油缴款书勾选页面展示实体
 * @Author wangruwei
 * @Date 2023/9/21 17:39
 * @Version 1.0
 */
@Data
public class TDxRecordCustomCpyVo extends TdxCustomsRecordEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     **/
    private String xh;
    /**
     * 返回前端是否可以勾选
     */
    private Boolean select;

    /**
     * 不允许勾选的提示文
     **/
    private String notAllowCheckStr;



    /**
     * 合计数量
     **/
    private String hjsl;
    /**
     * 合计税额
     */
    private String hjse;


    /**
     * 有效税额
     */
    private String yxTaxAmount;


    /**
     * 填发日期
     **/
    private String tfrq;


    /**
     * 购方税号
     **/
    private String gfsh;
    /**
     * 购方名称
     **/
    private String gfmc;
    /**
     * 销方税号
     **/
    private String xfsh;
    /**
     * 销方名称
     **/
    private String xfmc;


    //------------成品油申请字段--------------
    /**
     * 用途处理状态
     **/
    private String gxclzt;
    /**
     *用途处理状态说明
     **/
    private String gxsbyy;
    /**
     *勾选时间
     **/
    private String czsj;
    /**
     *勾选人id
     **/
    private String czr;
    /**
     * 勾选人显示名称
     **/
    private String czrName;

}
