package com.dxhy.api.model.db;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("sys_lq_zldw_config")
public class SysLqZldwConfigEntity implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;
	
	//columns START
    /**
     * id  
     */ 	
	private Long id;
    /**
     * 大B企业id，直连单位，若通过进项页面新增使用nsrsbh  
     */ 	
	private String zldwqyid;
    /**
     * 纳税人识别号  
     */ 	
	private String nsrsbh;
    /**
     * 纳税人名称  
     */ 	
	private String nsrmc;
    /**
     * 接入单位平台编码  
     */ 	
	private String jrdwptbm;
    /**
     * 乐企秘钥key  
     */ 	
	private String lqKey;
    /**
     * 链接模式,1直连,2代理  
     */ 	
	private String linkType;
    /**
     * 乐企调用地址  
     */ 	
	private String apiUrl;
    /**
     * 操作人id（userid）  
     */ 	
	private String czrId;
    /**
     * 修改时间  
     */ 	
	private Date updateTime;
    /**
     * 创建时间  
     */ 	
	private Date createTime;
	//columns END



}

