package com.dxhy.api.model.db;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author user
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName("t_dx_lq_apply_stat_record")
public class TDxLqApplyStatRecordEntity implements Serializable {

    //columns START
    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 纳税人识别号
     */
    private String nsrsbh;
    /**
     * 税款所属期
     */
    private String skssq;
    /**
     * 批次流水号
     */
    private String pclsh;
    /**
     * 申请类型：1：申请统计，2：申请确认，3：撤销统计，4撤销确认，5大企业退税确认
     */
    private String sqlx;
    /**
     * 结果状态:N未获取结果 Y已获取结果
     */
    private String resultStatus;
    /**
     * 创建时间
     */
    private Date createDate;
    //columns END

}
