package com.dxhy.api.model.db;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("t_dx_customs_detail")
public class TdxCustomsDetailEntity implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;
	
	

	//columns START
    /**
     * 主键ID  
     */ 	
	private Long id;
    /**
     * 缴款书号码  
     */ 	
	private String customsCode;
    /**
     * 海关税号信息(10位)  
     */ 	
	private String taxno;
    /**
     * 获取名称  
     */ 	
	private String goodsName;
    /**
     * 数量  
     */ 	
	private String num;
    /**
     * 完税价格  
     */ 	
	private String detailAmount;
    /**
     * 单位  
     */ 	
	private String unit;
    /**
     * 税率  
     */ 	
	private String taxRate;
    /**
     * 税款金额  
     */ 	
	private String taxAmount;
    /**
     * 数据来源  
     */ 	
	private String dataSources;
    /**
     * 乐企是否重号锁定：Y-锁定 N-未锁定  
     */ 	
	private String lqSfchsd;
	//columns END


}

