package com.dxhy.api.model.db;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName("t_dx_dk_ts_count_detail")
public class TdxDkTsCountDetailEntity implements Serializable {

    //columns START
    /**
     * id  
     */
    @TableId
    private Long id;
    /**
     * 税号
     */
    private String taxno;
    /**
     * 确认月份
     */
    private String qrMonth;
    /**
     * 确认时间
     */
    private String qrDate;
    /**
     * 确认结果类型：1：退税，2：代扣代缴
     */
    private String qrjglx;
    /**
     * 发票类型 01:专票 , 17：海关缴款书
     */
    private String invoiceType;
    /**
     * 当前票种总税额
     */
    private String totalTaxAmount;
    /**
     * 当前票种总份数
     */
    private String totalNumber;
    /**
     * 集团编码
     */
    private String company;
    //columns END
}

