package com.dxhy.api.model.db;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("t_dx_dk_ts_count")
public class TdxDkTsCountEntity implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;
	
	//columns START
    /**
     * 主键  
     */
	@TableId
	private Long id;
    /**
     * 税号  
     */ 	
	private String taxno;
    /**
     * 名称  
     */ 	
	private String taxname;
    /**
     * 所属期  
     */ 	
	private String skssq;
    /**
     * 是否申请(0--未申请  1--申请中  2--申请成功  3--申请失败  4--申请成功，已返回申请结果)  
     */ 	
	private String applyStatus;
    /**
     * 失败后有值。失败原因( 2-已申请确认 4-申请确认月份不符5-税号不存在8-其他异常 9-不符合提交确认申报条件)
     */ 	
	private String failReason;
    /**
     * 确认状态 0 未确认 1：确认中 2：确认成功 3：确认失败  
     */ 	
	private String qrStatus;
    /**
     * 是否当前所属期 0： 否 1：是  
     */ 	
	private String sfdqskssq;
    /**
     * 确认时间 格式 2019-06-05 16:08:29格式
     */ 	
	private String qrDate;
    /**
     * 集团编码  
     */ 	
	private String company;

	private Date createTime;

	private Date updateTime;
	//columns END

}

