package com.dxhy.api.model.db;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
* @Description 成品油商品编码
* @Author wangruwei
* @Date 2024/7/16 13:56
**/
@Data
@TableName("t_dx_spbm_cpy_invoice")
public class TdxSpbmCpyInvoiceEntity implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;


	//columns START
    /**
     * id  
     */ 	
	private Long id;
    /**
     * 商品编码  
     */ 	
	private String spbm;
    /**
     * 商品和服务名称  
     */ 	
	private String sphfwmc;
    /**
     * 商品和服务简称  
     */ 	
	private String sphfwjc;
    /**
     * 油品种类名称  
     */ 	
	private String ypzl;
    /**
     * 是否汇总项(Y是 N不是)  
     */ 	
	private String sfhzx;
    /**
     * 计量单位换算标准（升/千克）  
     */ 	
	private String jldwhs;
	//columns END

}

