package com.dxhy.api.model.db;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
/**
* @Description 铁路电子客票特定要素信息表
* @Author wangruwei
* @Date 2024/4/10 14:43
**/

@Data
@TableName("t_dx_tdys_tldzkp")
public class TdxTdysTldzkpEntity implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;
	
	
	//columns START
    /**
     * id  
     */ 	
	private Long id;
    /**
     * 发票uuid  
     */ 	
	private String uuid;
    /**
     * 购买方经办人  
     */ 	
	private String gmfjbr;
    /**
     * 经办人身份证号  
     */ 	
	private String jbrsfzjhm;
    /**
     * 经办人联系电话  
     */ 	
	private String jbrlxdh;
    /**
     * 开票人实人认证地址信息  
     */ 	
	private String kprsrrzdzxx;
    /**
     * 手机开票地址信息  
     */ 	
	private String sjkpdzxx;
    /**
     * 合同编号  
     */ 	
	private String htbh;
    /**
     * 纳税义务发生时间  
     */ 	
	private String nsywfssj;
    /**
     * 经办人身份证件种类  
     */ 	
	private String jbrsfzjzlDm;
    /**
     * 商品数量  
     */ 	
	private String spsl;
    /**
     * 是否为纸质发票  
     */ 	
	private String sfwzzfp;
    /**
     * 发票号码  
     */ 	
	private String fphm;
    /**
     * 证件号码  
     */ 	
	private String zjhm;
    /**
     * 开票日期  
     */ 	
	private String kprq;
    /**
     * 业务类型名称  
     */ 	
	private String ywlxmc;
    /**
     * 出发站  
     */ 	
	private String cfz;
    /**
     * 出发站拼音  
     */ 	
	private String cfzpy;
    /**
     * 到达站  
     */ 	
	private String ddz;
    /**
     * 到达站拼音  
     */ 	
	private String ddzpy;
    /**
     * 乘车车次  
     */ 	
	private String cccc;
    /**
     * 日期  
     */ 	
	private String rq;
    /**
     * 出发时间  
     */ 	
	private String cfsjl;
    /**
     * 铁路电子客票票 种名称  
     */ 	
	private String tldzkppzmc;
    /**
     * 空调特征  
     */ 	
	private String kttz;
    /**
     * 席别  
     */ 	
	private String xbl;
    /**
     * 车厢  
     */ 	
	private String cx;
    /**
     * 席位  
     */ 	
	private String xw;
    /**
     * 支付金额  
     */ 	
	private String zfje;
    /**
     * 已退金额  
     */ 	
	private String ytje;
    /**
     * 原票票价  
     */ 	
	private String yppj;
	/**
	 * 税率
	 **/
	private String taxRate;
    /**
     * 原票出发站  
     */ 	
	private String ypcfz;
    /**
     * 原票到达站  
     */ 	
	private String ypddz;
    /**
     * 电子客票号  
     */ 	
	private String dzkph;
    /**
     * 姓名  
     */ 	
	private String xm;
    /**
     * 铁路客票优惠类型  
     */ 	
	private String tlkpyhlx;
    /**
     * 原发票号码  
     */ 	
	private String yfphm;
    /**
     * createTime  
     */ 	
	private Date createTime;
	//columns END


}

