package com.dxhy.api.model.dkdj;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
/**
* @Description 代扣代缴实体
* @Author wangruwei
* @Date 2023/11/28 11:28
**/
@Data
@TableName("t_dx_zzs_dkdjwspz")
public class TdxZzsDkdjwspzEntity implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;
	
	//columns START
    /**
     * id  
     */ 	
	private String id;
    /**
     * 代扣代缴完税凭证号  
     */ 	
	private String dkdjwspzh;
    /**
     * 填发日期：YYYY-MM-DD HH:mm:ss  
     */ 	
	private Date tfrq;
    /**
     * 扣缴义务人识别号  
     */ 	
	private String kjywrsbh;
    /**
     * 扣缴义务人名称  
     */ 	
	private String kjywrmc;
    /**
     * 被扣缴纳税人识别号  
     */ 	
	private String bkjnsrsbh;
    /**
     * 被扣缴纳税人名称  
     */ 	
	private String bkjnsrmc;
    /**
     * 计税金额  
     */ 	
	private String jsje;
    /**
     * 实缴金额  
     */ 	
	private String sjje;
    /**
     * 有效税额  
     */ 	
	private String yxse;
    /**
     * 认证所属期：YYYYMM  
     */ 	
	private String rzssq;
    /**
     * 认证状态：0未认证，1认证抵扣，2认证不抵扣  
     */ 	
	private String rzzt;
    /**
     * 认证类型：01申请抵扣，02撤销抵扣，03申请不抵扣，04撤销不抵扣  
     */ 	
	private String rzlx;
    /**
     * 认证处理状态：0未申请，1申请认证，2发送申请认证请求，3申请认证失败，4申请认证成功，5申请撤销，6发送撤销请求，7撤销失败，8，撤销成功  
     */ 	
	private String rzclzt;
    /**
     * 认证失败原因  
     */ 	
	private String rzsbyy;
    /**
     * 认证时间：YYYY-MM-DD HH:mm:ss  
     */ 	
	private String rzsj;
    /**
     * 不抵扣类型：1：用于非应税 项目 2：用于免税项 目 3：用于集体福 利或者个人消 费 4：遭受非正常 损失 5：其他  
     */ 	
	private String bdklx;
    /**
     * 不抵扣原因：不抵扣类型选择为 5：其他时，需要录入不抵扣原因  
     */ 	
	private String bdkyy;
    /**
     * 操作人  
     */ 	
	private String czr;
    /**
     * 操作时间  
     */ 	
	private Date czsj;
    /**
     * 更新时间  
     */ 	
	private Date updateTime;
    /**
     * createTime  
     */ 	
	private Date createTime;
	//columns END


}

