package com.dxhy.api.model.invoice;

import lombok.Data;

/**
 * @author user
 */

@Data
public class InvoiceTlkpInfoItem {
    /**
     * 明细编号
     **/
    private String detailNo;
    /**
     * 证件号
     **/
    private String certificateNo;
    /**
     * 电子客票号
     **/
    private String eleTicketNo;
    /**
     * 姓名
     **/
    private String fullName;
    /**
     *出发站
     **/
    private String departureStation;
    /**
     *出发站拼音
     **/
    private String departureStationChinese;
    /**
     *出发时间
     **/
    private String departureTime;
    /**
     *到达站
     **/
    private String destination;
    /**
     *到达站拼音
     **/
    private String destinationChinese;
    /**
     *税率
     **/
    private String taxRate;
    /**
     *车次
     **/
    private String trainNo;
    /**
     *乘车日期
     **/
    private String boardeDate;
    /**
     *席别
     **/
    private String farewell;
    /**
     *车厢
     **/
    private String carriage;
    /**
     *席位
     **/
    private String seat;
    /**
     *票种
     **/
    private String ticketType;
    /**
     *空调特征
     **/
    private String aircondition;
    /**
     *业务类型
     * 1：售 2：退
     **/
    private String businessType;
    /**
     *已退金额
     **/
    private String refundAmount;
    /**
     *月票票价
     **/
    private String monthlyFare;
    /**
     *票面说明
     **/
    private String ticketDescription;
}
