package com.dxhy.api.model.invoice;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xiexuedi
 * @date 2019/05/10 09:03:55 用于接收报销系统数据的实体
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@Data
@TableName(value = "t_dx_invoice_reimburse")
public class TDxInvoiceReimburse {
    private Long id;
    private String invoiceType;
    private String invoiceCode;
    private String invoiceNo;
    private String eleInvoiceNo;
    private Date invoiceDate;
    private String ticketNumber;
    private String passenger;
    private BigDecimal invoiceAmount;
    private BigDecimal taxAmount;
    private BigDecimal totalAmount;
    private String invoiceStatus;
    private String dqskssq;
    private String sourceSystem;
    private String departureCity;
    private String reachingCity;
    private String relatedBusinessDocuments;
    private String businessDocumentMaker;
    private String businessDocumentNumber;
    private String reimbursementTime;
    private String reimbursementStatus;
    private String trainNumber;
    private String ticketDepartureTime;
    private String ticketArrivalTime;
    private String uuid;
    private String gfTaxNo;
    private String gfAddressAndPhone;
    private String gfBankAndNo;
    private String xfAddressAndPhone;
    private String xfBankAndNo;
    private String gfName;
    private String xfTaxNo;
    private String xfName;
    private String taxRate;
    private Date createDate;
    private String rzhYesorno;
    private String tag;
    private String isDeduction;
    private String isDomestic;
    private String selectId;
    private Date qsDate;
    private String qsType;
    private String qsName;
    private String qsStatus;
    private String scanId;
    private String fileType;
    private String checkCode;
    private String qzStatus;
    private String ewm;
    private String region;
    private String orientation;

    private String fuelSurcharge;
    @TableField(exist = false)
    private String doubleStatus;

    private Date updateDate;
    private String notes;
    /**
     * m民航基金
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String caacDevelopmentFund;
    /**
     * 飞机票价
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private BigDecimal fare;
    /**
     * 当前用户所操作公司的税号
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String taxNo;
    /**
     * ocr 识别状态
     *
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String ocrStatus;
    private String deptId;
    private String deptName;

    private String passengerSFZH;
    @TableField(exist = false)
    private String invoiceString;

    private String company;
    private String voucherNumber;
    private String currency;
    private String remark;

}
