package com.dxhy.api.model.invoice;

import lombok.Data;

import java.io.Serializable;

/**
 * @Description 数电票（航空运输电子客票行程单）-民航行程单电子发票特定要素
 * @Author wangruwei
 * @Date 2024/4/10 15:54
 **/
@Data
public class TDxRecordInvoiceTdysMhxcd implements Serializable {

    private static final long serialVersionUID = -5394180132470482951L;
    /**
     * 扣除金额
     **/
    private String deductibleAmount;
    /**
     * 保险费
     **/
    private String insuranceFee;
    /**
     * 民航发展基金
     **/
    private String aviationDevelopmentFund;
    /**
     * 其他税费
     **/
    private String otherTaxes;
    /**
     * 提示信息
     **/
    private String prompt;
    /**
     * 销售网点代号
     **/
    private String outletCode;
    /**
     * 验证码
     **/
    private String verificationCode;
    /**
     * 增值税税率
     **/
    private String vatRate;
    /**
     * 签注
     **/
    private String endorsement;
    /**
     * 票价
     **/
    private String ticketPrice;
    /**
     * 开票状态
     **/
    private String ticketIssuanceStatus;
    /**
     * 燃油附加费
     **/
    private String fuelSurcharge;
    /**
     * 填开单位
     **/
    private String issuingEntity;
    /**
     * 填开日期
     **/
    private String issuingDate;
    /**
     * 增值税税额
     **/
    private String valueAddedTaxAmount;
}
