package com.dxhy.api.model.ncp.ncpCustoms;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
* @Description 农产品-缴款书加计扣除表
* @Return
* @Author wangruwei
* @Date 2023/10/17 15:40
**/

@Data
@TableName("t_dx_customs_ncp_jjkc")
public class TdxCustomsNcpJjkcEntity implements Serializable {
	
	private static final long serialVersionUID = 5454155825314635342L;


    //columns START
    /**
     * id
     */
    private Long id;
    /**
     * 购方税号
     */
    private String gfTaxNo;
    /**
     * 缴款书号码
     */
    private String customsCode;
    /**
     * 填发日期
     **/
    private Date fillInDate;

    /**
     * 出口转内销证明编号
     **/
    private String ckznxzmbh;

    /**
     * 加计所属期
     */
    private String jjssq;
    /**
     * 本次加计扣除税额
     */
    private String bcjjkcse;
    /**
     *  申请类型：18：申请加计 19：撤销加计 20：申请全部项目不加计 21：撤销全部项目不加计
     */
    private String sqlx;
    /**
     * 加计处理状态：1申请加计，2发送请求，3加计失败，4加计成功，5申请撤销，6发送撤销申请，7撤销失败，8撤销成功
     */
    private String clzt;
    /**
     * 农产品确认失败原因
     */
    private String sbyy;
    /**
     * 操作时间
     */
    private Date czsj;
    /**
     * 勾选时间，局端返回
     */
    private Date gxsj;
    /**
     * 操作人
     */
    private String czr;
    /**
     * 是否推送票池：0未推送，1已推送
     **/
    private String pushPool;
    /**
     * 更新时间  
     */
    private Date updateTime;
    /**
     * createTime  
     */
    private Date createTime;
    //columns END

}

