package com.dxhy.api.model.ncp.ncpInvoice.ncpDkInvoice;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName NcpDkInvoiceLrReq
 * @Description 代开农产品录入
 * @Author wangruwei
 * @Date 2023/10/13 15:47
 * @Version 1.0
 */
@Data
public class NcpDkInvoiceLrReq implements Serializable {
    /**
     * 行数
     **/
    private int rowNum;
    /**
     * 发票代码
     **/
    private String fpdm;
    /**
     *发票号码
     **/
    private String fphm;

    /**
     * 发票金额
     **/
    private String invoiceAmount;

    /**
     *农产品部分金额
     **/
    private String ncpbfje;
    /**
     *农产品部分税额
     **/
    private String ncpbfse;
    /**
     *有效抵扣税额
     **/
    private String yxdkse;
}
