package com.dxhy.api.model.ncp.ncpInvoice.ncpXsInvoice;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName NcpXsQrInvoice
 * @Description 农产品销售-发票确认请求参数
 * @Author wangruwei
 * @Date 2023/10/10 17:46
 * @Version 1.0
 */
@Data
public class NcpXsQrInvoice implements Serializable {

    /**
     * 发票uuid
     **/
    private String uuid;
    /**
     * 发票金额
     **/
    private String invoiceAmount;
    /**
     * 农产品部分金额
     **/
    private String ncpbfje;
    /**
     * 农产品有效抵扣税额
     **/
    private String yxdkse;

}
