package com.dxhy.api.model.ncp.ncpInvoice.ncpXsInvoice;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName NcpXsQrInvoiceReq
 * @Description 农产品销售-批量确认请求参数
 * @Author wangruwei
 * @Date 2023/10/10 17:48
 * @Version 1.0
 */
@Data
public class NcpXsQrInvoiceReq implements Serializable {
    /**
     * 申请确认类型 13：全部自产，14：不属于自产，15：部分属于自产，
     **/
    private String type;

    /**
     * 申请的发票
     **/
    private List<NcpXsQrInvoice> invoiceList;

}
