package com.dxhy.api.model.ncp.ncpInvoice.ncpXsInvoice;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName NcpXsQrInvoiceReq
 * @Description 农产品销售，导入excel数据
 * @Author wangruwei
 * @Date 2023/10/10 17:48
 * @Version 1.0
 */
@Data
public class NcpXsQrInvoiceReqExcel implements Serializable {

    /**
     * 请求的第几条数据，从1开始
     **/
    private int rowNum;
    /**
     * 确认类型
     * 属于子产品农产品销售发票 13
     * 不属于子产品农产品销售发票 14
     * 部分属于自产农产品销售发票 15
     * 按票面金额和基础扣除率确认 16
     * 按票面税额确认 17
     **/
    private String qrlx;
    /**
     * 发票代码
     **/
    private String fpdm;
    /**
     * 发票号码
     **/
    private String fphm;
    /**
     * 农产品部分金额
     **/
    private String ncpbfje;
}
