package com.dxhy.api.model.rz.rzInvoice.page;

import lombok.Data;

/**
 * @author Allen
 * @version 1.0.0
 * @ClassName InvoiceRzInfo.java
 * @Description 入账基本信息
 * @createTime 2023年02月22日 20:02:00
 */
@Data
public class RzBaseInfo {

    /**
     * 批次流水号
     */
    private  String pclsh;

    /**
     * 购方税号
     */
    private String nsrsbh;

    /**
     * 入账类型：
     * 02：入账（企业所得税税前扣除）
     * 03：入账（企业所得税不扣除）
     * 04：入账（个人所得税经营所得税前扣除）
     * 05：入账（个人所得税经营所得不扣除）
     * 06：入账撤销
     */
    private String rzlx;

    /**
     * 入账属期 YYYYMM
     */
    private String rzsq;

}
