package com.dxhy.api.model.sign;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 扫描记录表
 *
 * @author Allen
 */
@Data
@TableName("t_dx_scan_invoice_log")
public class TDxScanInvoiceLog implements Serializable {

    private static final long serialVersionUID = 4254412396104265598L;

    /**
     * id
     */
    private Long id;

    /**
     * 批次号
     */
    private String pch;

    /**
     * 报文
     */
    private String invoiceText;

    /**
     * 创建时间
     */
    private Date createDate;
}
