package com.dxhy.api.model.tdys;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName TdysBdcjyzltdysItem
 * @Description 特定要素类型代码为06：不动产经营租赁服务时返回
 * @Author wangruwei
 * @Date 2024/5/31 16:10
 * @Version 1.0
 */
@Data
public class TdysBdcjyzltdysItem implements Serializable {
    /**
     * 序号
     **/
    private String xh;
    /**
     * 产权证书编号
     **/
    private String cqzsbh;
    /**
     * 不动产坐落地址
     **/
    private String bdczldz;
    /**
     * 租赁期起
     **/
    private String zlqq;
    /**
     * 租赁期止
     **/
    private String zlqz;
    /**
     * 跨地（市）标志
     **/
    private String kdsbz;
}
