package com.dxhy.api.model.tdys;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName TdysBdcxsfwtdysItem
 * @Description 特定要素类型代码为05：不动产销售服务发票时返回-明细
 * @Author wangruwei
 * @Date 2024/5/31 16:10
 * @Version 1.0
 */
@Data
public class TdysBdcxsfwtdysItem implements Serializable {
    /**
     * 序号
     **/
    private String xh;
    /**
     * 产权证书编号
     **/
    private String cqzsbh;
    /**
     * 不动产单位代码
     **/
    private String bdcdwdm;
    /**
     * 网签合同备案编号
     **/
    private String wqhtbabh;
    /**
     * 不动产坐落地址
     **/
    private String bdczldz;
    /**
     * 跨地（市）标志
     **/
    private String kdsbz;
    /**
     * 土地增值税项目编号
     **/
    private String tdzzsxmbh;
    /**
     * 核定计税价格
     **/
    private String hdjsjg;
    /**
     * 实际成交含税金额
     **/
    private String sjcjhsje;
}
