package com.dxhy.api.model.tdys;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName TdysYlfwmztdys
 * @Description 特定要素类型代码为11：医疗服务（门诊）发票时返回
 * @Author wangruwei
 * @Date 2024/5/31 16:10
 * @Version 1.0
 */
@Data
public class TdysYlfwmztdys implements Serializable {
    /**
     * 医疗业务流水号
     **/
    private String ylywlsh;
    /**
     * 患者姓名
     **/
    private String hzxm;
    /**
     * 患者身份证件类型代码
     **/
    private String hzsfzjlxDm;
    /**
     * 患者身份证件号码
     **/
    private String hzsfzjhm;
    /**
     * 门诊号
     **/
    private String mzh;
    /**
     * 门诊就诊时间
     **/
    private String mzjzsj;
    /**
     * 医疗机构类型代码
     **/
    private String yljglxDm;
    /**
     * 其他医疗机构类型
     **/
    private String qtyljglx;
    /**
     * 医保类型代码
     **/
    private String yblxDm;
    /**
     * 其他医保类型
     **/
    private String qtyblx;
    /**
     * 医保编号
     **/
    private String ybbh;
    /**
     * 性别代码
     **/
    private String xbDm;
    /**
     * 医保统筹基金支付金额
     **/
    private String ybtcjjzfje;
    /**
     * 其他支付金额
     **/
    private String qtzfje;
    /**
     * 个人账户支付金额
     **/
    private String grzhzfje;
    /**
     * 个人现金支付金额
     **/
    private String grxjzfje;
    /**
     * 个人支付金额
     **/
    private String grzfje;
    /**
     * 个人自费金额
     **/
    private String grzfje1;
    /**
     * 省市自定义要素数量
     **/
    private String sszdyyssl;
    /**
     * 省市自定义要素json
     **/
    private String sszdyysjson;


}
