package com.dxhy.api.model.tdys;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName TdysYlfwmztdysItem
 * @Description 特定要素类型代码为11：医疗服务（门诊）发票时返回-明细
 * @Author wangruwei
 * @Date 2024/5/31 16:10
 * @Version 1.0
 */
@Data
public class TdysYlfwmztdysItem implements Serializable {
    /**
     * 序号
     **/
    private String xh;
    /**
     * 项目名称
     **/
    private String xmmc;
    /**
     * 费用明细
     **/
    private String fymx;
    /**
     * 单位
     **/
    private String dw;
    /**
     * 发票商品数量
     **/
    private String fpspsl;
    /**
     * 金额
     **/
    private String je;
    /**
     * 税率
     **/
    private String sl1;
    /**
     * 税额
     **/
    private String se;
    /**
     * 备注
     **/
    private String bz5;
    /**
     * 医疗服务贯标码
     **/
    private String ylfwgbm;
}
