package com.dxhy.api.model.tdys;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName TdysYlfwzytdysItem
 * @Description 特定要素类型代码为10：医疗服务（住院）发票时返回-明细
 * @Author wangruwei
 * @Date 2024/5/31 16:10
 * @Version 1.0
 */
@Data
public class TdysYlfwzytdysItem implements Serializable {
    /**
     * 医疗服务住院发票明细序号
     **/
    private String ylfwzyfpmxxh;
    /**
     * 项目名称
     **/
    private String xmmc;
    /**
     * 金额
     **/
    private String je;
    /**
     * 税率
     **/
    private String sl1;
    /**
     * 税额
     **/
    private String se;
    /**
     * 备注
     **/
    private String bz5;
}
