package com.dxhy.api.model.tdys.dqyRespDto;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName DqyTdysBdcXsFw
 * @Description 不动产销售服务发票、不懂产经营租赁服务（电子税局特定要素类型-05、06）
 * @Author wangruwei
 * @Date 2024/6/3 11:34
 * @Version 1.0
 */
@Data
public class DqyTdysBdcXsFw implements Serializable {
    /**
     * 跨地市标志
     **/
    private String crossCityType;
    /**
     * 网签合同备案编号
     **/
    private String contractRecordId;
    /**
     * 是否蓝字发票标志
     **/
    private String blueInvoiceFlag;
    /**
     * 不动产地址
     **/
    private String realEstateAddress;
    /**
     * 土地增值税项目编号
     **/
    private String taxProjectNumber;
    /**
     * 不动产单位代码
     **/
    private String realEstateUnitCode;
    /**
     * 核定计税价格
     **/
    private String approvedTaxPrice;
    /**
     * 实际成交含税金额
     **/
    private String actualTransactionTaxAmount;
    /**
     * 租赁期起止
     **/
    private String leasePeriodStartEnd;

}
