package com.dxhy.api.model.tdys.dqyRespDto;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName DqyTdysBdcXsFwItem
 * @Description 不动产销售服务发票、不懂产经营租赁服务（电子税局特定要素类型-05、06）-明细
 * @Author wangruwei
 * @Date 2024/6/3 11:34
 * @Version 1.0
 */
@Data
public class DqyTdysBdcXsFwItem implements Serializable {
    /**
     * 序号
     **/
    private String detailNo;
    /**
     * 租赁期起
     **/
    private String leasePeriodStart;
    /**
     * 租赁期止
     **/
    private String leasePeriodEnd;
    /**
     * 跨地市标志
     **/
    private String crossCityType;
    /**
     * 产权证书号
     **/
    private String propertyNumber;
    /**
     * 是否蓝字发票标志
     **/
    private String blueInvoiceFlag;
    /**
     * 不动产地址
     **/
    private String realEstateAddress;
    /**
     * 行政区划代码
     **/
    private String areaNumber;
    /**
     * 租赁期起止
     **/
    private String leasePeriodStartEnd;

}
