package com.dxhy.api.model.tdys.dqyRespDto;

import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName DqyTdysDsccs
 * @Description 不代收车船税（电子税局特定要素类型-07）
 * @Author wangruwei
 * @Date 2024/6/3 11:34
 * @Version 1.0
 */
@Data
public class DqyTdysDsccs implements Serializable {
    /**
     * 保险单号
     **/
    private String policyNo;
    /**
     * 船舶登记号
     **/
    private String shipNumber;
    /**
     * 税款所属期
     **/
    private String taxPeriod;
    /**
     * 代收车船税金额
     **/
    private String shipTaxAmount;
    /**
     * 滞纳金金额
     **/
    private String lateFeeAmount;
    /**
     * 金额合计
     **/
    private String totalAmount;
    /**
     * 车架号
     **/
    private String vehicleNo;


}
