package com.dxhy.pojo.obj;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName DqyTsApplyReq
 * @Description 大企业退税确认结果（电子税局）结果获取
 * @Author wangruwei
 * @Date 2024/3/14 15:52
 * @Version 1.0
 */
@Data
public class DqyTsApplyResultResp implements Serializable {
    /**
     * 批次号
     **/
    private String batchNo;
    /**
     * 结果状态 N/Y
     **/
    private String batchState;
    /**
     * 确认处理状态 （结果状态为Y时有值）详情查看确认处理状态说明
     **/
    private String status;
    /**
     * 购方税号
     **/
    private String buyerTaxNo;
    /**
     * 错误原因 详情查看失败原因数据说明
     **/
    private String failReason;
    /**
     * 确认时间 2019-06-05 16:08:29格式
     **/
    private String signDate;
    /**
     * 确认属期 202208
     **/
    private String rzskssq;

    /**
     * 数据明细
     **/
    private List<DqyTsApplyResultRespItem> list;
}
