package com.dxhy.pojo.obj.erp;

import com.dxhy.pojo.obj.erp.BaseReq;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName ZzsDkdjWspzCjReq
 * @Description 增值税代扣代缴完税凭证采集接口入参
 * @Author Allen
 * @Date 2024/3/14 15:52
 * @Version 1.0
 */
@Data
public class ZzsDkdjWspzCjReq extends BaseReq implements Serializable {
    /**
     * 凭证编号
     **/
    private String dkdjwspzbh;

    /**
     * 采集开始时间
     **/
    private String createDateBegin;

    /**
     * 采集结束时间
     **/
    private String createDateEnd;

    /**
     * 认证状态
     **/
    private String rzzt;

    /**
     * 认证类型
     **/
    private String rzlx;
}
