package com.dxhy.pojo.obj.erp;

import lombok.Data;
import springfox.documentation.spring.web.json.Json;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName ZzsDkdjWspzRzsqReq
 * @Description 增值税代扣代缴完税凭证采集接口认证申请
 * @Author Allen
 * @Date 2024/3/14 15:52
 * @Version 1.0
 */
@Data
public class ZzsDkdjWspzRzsqReq extends BaseReq implements Serializable {
    /**
     * 认证类型
     **/
    private String rzlx;

    /**
     * 不抵扣类型
     **/
    private String bdklx;

    /**
     * 不抵扣原因
     **/
    private String bdkyy;

    /**
     * 认证所属期
     **/
    private String rzssq;

    /**
     *  操作人
     **/
    private String czr;

    /**
     * 明细
     **/
    private List<String> wspzs;
}
